jQuery(document).ready(function ($) {

  $(".avans_persian_date_picker").pDatepicker({
    initialValue: false,
    format: "YYYY/MM/DD",
    autoClose: true,
    persianDigit: false,
  });

  $(".avans_persian_date_picker_by_min").pDatepicker({
    initialValue: false,
    format: "YYYY/MM/DD hh:mm",
    autoClose: true,
  });
  
  $(".avans-poppup-setting .avans-close-poppup").on("click", function (e) {
    $(this).closest(".avans-poppup-setting").fadeOut(200);
    avs_admin_change_url($(this).attr("data-url"));
  });

  $(".avans-settings-wrapper .avans-flex-item .avans-btn-open-setting").on(
    "click",
    function (e) {
      $(this)
        .closest(".avans-flex-item")
        .find(".avans-poppup-setting")
        .fadeIn(200);
      avs_admin_change_url($(this).attr("data-url"));
      var id = $(this).closest(".avans-flex-item").attr("id");
      var idvalid = [
        "avans_general_module",
        "avans_score_module",
        "avans_coupen_module",
        "avans_user_panel_module",
      ];
      if (idvalid.includes(id)) {
        $(".avans-settings-actions-list li").removeClass("active");

        var first = $(this)
          .closest(".avans-flex-item")
          .find(".avans-settings-actions-list li:first-child");
        first.trigger("click");
        first.addClass("active");
        // console.log($("#" + id).find(".wrapper"));
        scroll_to_settings_element(
          $("#" + id).find(".wrapper"),
          $("#" + id).find(".content")
        );
      }
    }
  );

  function scroll_to_settings_element(el, wrapper) {
    wrapper.animate(
      {
        scrollTop: el.offset().top - 1000,
      },
      10
    );
  }

  $(document).on("click", ".add-condition", function (e) {
    var type = $(this).data("type");
    var after = type == "" ? "<span>درصد</span>" : "";
    var between = get_condition_between_text($(this).data("type"));
    $(this)
      .closest("td")
      .find(".conditions")
      .append(
        $(
          '<div class="condition"><select><option value="null">--انتخاب--</option><option value="role">نقش کاربر</option><option value="level">سطح کاربری</option></select><select><option value="==">برابر</option><option value="!=">مخالف</option></select><select class="values"><option value="null">--انتخاب--</option></select><span>' +
            between +
            '</span><input type="number" id="value_score_view_post" name="value_score_view_post" value="">' +
            after +
            '<span class="dashicons dashicons-remove"></span></div>'
        )
      );
  });

  // $(document).on('click', '.dashicons-insert', function (e) {
  //     var between = get_condition_between_text( $(this).closest('td').find(".add-condition").data("type") );
  //     $(this).closest('.condition').after($('<div class="condition"><select><option value="null">--انتخاب--</option><option value="role">نقش کاربر</option><option value="level">سطح کاربری</option></select><select><option value="==">برابر</option><option value="!=">مخالف</option></select><select class="values"><option value="null">--انتخاب--</option></select><span>'+between+'</span><input type="number" id="value_score_view_post" name="value_score_view_post" value=""><span class="dashicons dashicons-remove"></span></div>'));
  // });

  function get_condition_between_text(type) {
    var between = "امتیاز برابر است با";
    if (type == "ref") {
      var between = " سهم معرف برابر است با";
    }
    if (type == "coupon") {
      var between = "تخفیف خریدار برابر است با";
    }
    return between;
  }

  $(document).on("change", ".condition select:nth-child(1)", function (e) {
    var select = $(this);
    $.ajax({
      url: $(this).closest("#avans_main_setttings").attr("data-url-ajax"),
      dataType: "html",
      type: "get",
      data: {
        action: "avans_get_data_condition",
        type: select.val(),
      },
      success: function (data) {
        select.closest(".condition").find("select:nth-child(3)").html(data);
      },
    });
  });

  $(document).on("click", ".creator_velel", function (e) {
    $(this)
      .closest(".content")
      .find(".levels-list")
      .append(
        $(
          '<div class="level-item"><span class="dashicons dashicons-no-alt remove-level"></span><div><span>عنوان سطح</span><input class="title" type="text" placeholder="مثلا کاربر حرفه ای..."></div><div><span>حداقل امتیاز لازم برای کسب این سطح</span><input class="level" type="number" placeholder="میزان امتیاز"></div></div>'
        )
      );
  });

  $(document).on("click", ".remove-level", function (e) {
    $(this).closest(".level-item").remove();
  });

  $(document).on("click", ".dashicons-remove", function (e) {
    if ($(this).closest("td").find(".condition").length == 1) {
      $(this).closest("td").find(".add-condition").fadeIn(200);
    }
    $(this).closest(".condition").remove();
  });

  // start save settings
  $("#save_score_setting").click(function (e) {
    e.preventDefault();
    $(this).text("درحال بررسی...");
    var url = $(this).attr("data-url-ajax");
    $.ajax({
      url: url,
      dataType: "json",
      type: "post",
      data: {
        action: "avans_save_score_setting",

        is_active_score_course: $("#is_active_score_course").is(":checked"),
        value_score_view_course: $("#value_score_view_course").val(),
        delay_get_score_course: $("#delay_get_score_course").val(),
        text_toast_score_course: $("#text_toast_score_course").val(),
        value_max_scorring_for_course: $(
          "#value_max_scorring_for_course"
        ).val(),
        unit_max_scorring_for_course: $("#unit_max_scorring_for_course").val(),
        value_expire_score_for_course: $(
          "#value_expire_score_for_course"
        ).val(),
        unit_expire_score_for_course: $("#unit_expire_score_for_course").val(),
        avans_condition_course: get_list_condition("avans_condition_course"),

        /////

        is_active_score_complete_lesson: $(
          "#is_active_score_complete_lesson"
        ).is(":checked"),
        value_score_complete_lesson: $("#value_score_complete_lesson").val(),
        text_toast_score_complete_lesson: $(
          "#text_toast_score_complete_lesson"
        ).val(),
        value_max_scorring_for_complete_lesson: $(
          "#value_max_scorring_for_complete_lesson"
        ).val(),
        unit_max_scorring_for_complete_lesson: $(
          "#unit_max_scorring_for_complete_lesson"
        ).val(),
        value_expire_score_for_complete_lesson: $(
          "#value_expire_score_for_complete_lesson"
        ).val(),
        unit_expire_score_for_complete_lesson: $(
          "#unit_expire_score_for_complete_lesson"
        ).val(),
        avans_condition_complete_lesson: get_list_condition(
          "avans_condition_complete_lesson"
        ),

        ////////

        is_active_score_complete_course: $(
          "#is_active_score_complete_course"
        ).is(":checked"),
        value_score_complete_course: $(
          "#value_score_complete_complete_course"
        ).val(),
        text_toast_score_complete_course: $(
          "#text_toast_score_complete_course"
        ).val(),
        value_max_scorring_for_complete_course: $(
          "#value_max_scorring_for_complete_course"
        ).val(),
        unit_max_scorring_for_complete_course: $(
          "#unit_max_scorring_for_complete_course"
        ).val(),
        value_expire_score_for_complete_course: $(
          "#value_expire_score_for_complete_course"
        ).val(),
        unit_expire_score_for_complete_course: $(
          "#unit_expire_score_for_complete_course"
        ).val(),
        avans_condition_complete_course: get_list_condition(
          "avans_condition_complete_course"
        ),

        ////////

        is_active_score_passed_test: $("#is_active_score_passed_test").is(
          ":checked"
        ),
        value_score_passed_test: $(
          "#value_score_passed_test"
        ).val(),
        text_toast_score_passed_test: $("#text_toast_score_passed_test").val(),
        value_max_scorring_for_passed_test: $(
          "#value_max_scorring_for_passed_test"
        ).val(),
        unit_max_scorring_for_passed_test: $(
          "#unit_max_scorring_for_passed_test"
        ).val(),
        value_expire_score_for_passed_test: $(
          "#value_expire_score_for_passed_test"
        ).val(),
        unit_expire_score_for_passed_test: $(
          "#unit_expire_score_for_passed_test"
        ).val(),
        avans_condition_passed_test: get_list_condition(
          "avans_condition_passed_test"
        ),

        ////////

        value_max_scorring_for_posts: $("#value_max_scorring_for_posts").val(),
        unit_max_scorring_for_posts: $("#unit_max_scorring_for_posts").val(),

        value_max_scorring_for_products: $(
          "#value_max_scorring_for_products"
        ).val(),
        unit_max_scorring_for_products: $(
          "#unit_max_scorring_for_products"
        ).val(),

        value_max_scorring_for_orders: $(
          "#value_max_scorring_for_orders"
        ).val(),
        unit_max_scorring_for_orders: $("#unit_max_scorring_for_orders").val(),

        value_max_scorring_for_comments: $(
          "#value_max_scorring_for_comments"
        ).val(),
        unit_max_scorring_for_comments: $(
          "#unit_max_scorring_for_comments"
        ).val(),

        value_max_scorring_for_user_register: $(
          "#value_max_scorring_for_user_register"
        ).val(),
        unit_max_scorring_for_user_register: $(
          "#unit_max_scorring_for_user_register"
        ).val(),

        value_max_scorring_for_share: $("#value_max_scorring_for_share").val(),
        unit_max_scorring_for_share: $("#unit_max_scorring_for_share").val(),

        value_max_scorring_for_daily_visit: $(
          "#value_max_scorring_for_daily_visit"
        ).val(),
        unit_max_scorring_for_daily_visit: $(
          "#unit_max_scorring_for_daily_visit"
        ).val(),

        value_max_scorring_for_publish: $(
          "#value_max_scorring_for_publish"
        ).val(),
        unit_max_scorring_for_publish: $(
          "#unit_max_scorring_for_publish"
        ).val(),

          value_max_scorring_for_publish_product: $(
          "#value_max_scorring_for_publish_product"
        ).val(),
        unit_max_scorring_for_publish_product: $(
          "#unit_max_scorring_for_publish_product"
        ).val(),

        value_expire_score_for_posts: $("#value_expire_score_for_posts").val(),
        unit_expire_score_for_posts: $("#unit_expire_score_for_posts").val(),

        value_expire_score_for_products: $(
          "#value_expire_score_for_products"
        ).val(),
        unit_expire_score_for_products: $(
          "#unit_expire_score_for_products"
        ).val(),

        value_expire_score_for_birthday: $(
          "#value_expire_score_for_birthday"
        ).val(),
        unit_expire_score_for_birthday: $(
          "#unit_expire_score_for_birthday"
        ).val(),

        value_expire_score_for_registerday: $(
          "#value_expire_score_for_registerday"
        ).val(),
        unit_expire_score_for_registerday: $(
          "#unit_expire_score_for_registerday"
        ).val(),

        value_expire_score_for_orders: $(
          "#value_expire_score_for_orders"
        ).val(),
        unit_expire_score_for_orders: $("#unit_expire_score_for_orders").val(),

        value_expire_score_for_comments: $(
          "#value_expire_score_for_comments"
        ).val(),
        unit_expire_score_for_comments: $(
          "#unit_expire_score_for_comments"
        ).val(),

        value_expire_score_for_complete_profile: $(
          "#value_expire_score_for_complete_profile"
        ).val(),
        unit_expire_score_for_complete_profile: $(
          "#unit_expire_score_for_complete_profile"
        ).val(),

        value_expire_score_for_user_register: $(
          "#value_expire_score_for_user_register"
        ).val(),
        unit_expire_score_for_user_register: $(
          "#unit_expire_score_for_user_register"
        ).val(),

        value_expire_score_for_share: $("#value_expire_score_for_share").val(),
        unit_expire_score_for_share: $("#unit_expire_score_for_share").val(),

        value_expire_score_for_daily_visit: $(
          "#value_expire_score_for_daily_visit"
        ).val(),
        unit_expire_score_for_daily_visit: $(
          "#unit_expire_score_for_daily_visit"
        ).val(),

        value_expire_score_for_publish: $(
          "#value_expire_score_for_publish"
        ).val(),
        unit_expire_score_for_publish: $(
          "#unit_expire_score_for_publish"
        ).val(),

            value_expire_score_for_publish_product: $(
          "#value_expire_score_for_publish_product"
        ).val(),
        unit_expire_score_for_publish_product: $(
          "#unit_expire_score_for_publish_product"
        ).val(),

        avans_condition_comment: get_list_condition("avans_condition_comment"),
        avans_condition_daily: get_list_condition("avans_condition_daily"),
        avans_condition_publish: get_list_condition("avans_condition_publish"),
        avans_condition_publish_product: get_list_condition("avans_condition_publish_product"),
        avans_condition_birthday: get_list_condition(
          "avans_condition_birthday"
        ),
        avans_condition_registerday: get_list_condition(
          "avans_condition_registerday"
        ),
        avans_condition_share: get_list_condition("avans_condition_share"),
        ddo_score_position_toast: $("#ddo_score_position_toast").val(),

        score_users_blocked: $("#score_users_blocked").val(),
        is_active_score_posts: $("#is_active_score_posts").is(":checked"),
        value_score_view_post: $("#value_score_view_post").val(),
        delay_get_score_post: $("#delay_get_score_post").val(),
        text_toast_score_post: $("#text_toast_score_post").val(),
        avans_condition_post: get_list_condition("avans_condition_post"),
        avans_condition_product: get_list_condition("avans_condition_product"),

        
        is_active_score_products: $("#is_active_score_products").is(":checked"),
        value_score_view_product: $("#value_score_view_product").val(),
        delay_get_score_product: $("#delay_get_score_product").val(),
        text_toast_score_product: $("#text_toast_score_product").val(),
        is_active_score_purchase: $("#is_active_score_purchase").is(":checked"),
        type_model_scoring_prurchase: $("#type_model_scoring_prurchase").val(),
        avans_condition_purchase: get_list_condition(
          "avans_condition_purchase"
        ),
        value_score_purchase_by_product: $(
          "#value_score_purchase_by_product"
        ).val(),
        value_score_purchase: $("#value_score_purchase").val(),
        custom_product_score: $("#custom_product_score").val(),
        value_price_unit_purchase: $("#value_price_unit_purchase").val(),
        value_score_purchase_by_volume: $(
          "#value_score_purchase_by_volume"
        ).val(),
        score_minimum_price_order: $("#score_minimum_price_order").val(),
        order_status_for_score: $("#order_status_for_score").val(),
        text_toast_score_purchase: $("#text_toast_score_purchase").val(),

        is_active_show_score_purchase_in_single_page: $(
          "#is_active_show_score_purchase_in_single_page"
        ).is(":checked"),
        type_model_show_scoring_prurchase_in_single_page: $(
          "#type_model_show_scoring_prurchase_in_single_page"
        ).val(),
        text_purchase_score_in_single_product: $(
          "#text_purchase_score_in_single_product"
        ).val(),

        is_active_show_score_purchase_in_checkout: $(
          "#is_active_show_score_purchase_in_checkout"
        ).is(":checked"),

        text_purchase_score_in_checkout: $(
          "#text_purchase_score_in_checkout"
        ).val(),

        is_active_score_comments: $("#is_active_score_comments").is(":checked"),
        value_score_add_comment: $("#value_score_add_comment").val(),
        is_active_once_comment :  $("#is_active_once_comment").is(":checked"),
        value_score_add_comment_by_purchaser: $(
          "#value_score_add_comment_by_purchaser"
        ).val(),
        is_active_score_register: $("#is_active_score_register").is(":checked"),
        value_score_register: $("#value_score_register").val(),
        text_toast_score_register: $("#text_toast_score_register").val(),

        is_active_score_referer_register: $(
          "#is_active_score_referer_register"
        ).is(":checked"),
        value_score_referer_register: $("#value_score_referer_register").val(),
        avans_condition_referer_register: get_list_condition(
          "avans_condition_referer_register"
        ),
        value_expire_score_for_referer_register: $(
          "#value_expire_score_for_referer_register"
        ).val(),
        unit_expire_score_for_referer_register: $(
          "#unit_expire_score_for_referer_register"
        ).val(),
        value_max_scorring_for_referer_register: $(
          "#value_max_scorring_for_referer_register"
        ).val(),
        unit_max_scorring_for_referer_register: $(
          "#unit_max_scorring_for_referer_register"
        ).val(),

        is_active_score_complete_profile: $(
          "#is_active_score_complete_profile"
        ).is(":checked"),
        value_score_complete_profile: $("#value_score_complete_profile").val(),
        text_toast_score_complete_profile: $(
          "#text_toast_score_complete_profile"
        ).val(),
        avans_condition_complete_profile: get_list_condition(
          "avans_condition_complete_profile"
        ),

        is_active_score_post_rating: $("#is_active_score_post_rating").is(
          ":checked"
        ),
        value_score_post_rating: $("#value_score_post_rating").val(),
        text_toast_score_post_rating: $("#text_toast_score_post_rating").val(),
        avans_condition_post_rating: get_list_condition(
          "avans_condition_post_rating"
        ),
        value_expire_score_for_post_rating: $(
          "#value_expire_score_for_post_rating"
        ).val(),
        unit_expire_score_for_post_rating: $(
          "#unit_expire_score_for_post_rating"
        ).val(),
        value_max_scorring_for_post_rating: $(
          "#value_max_scorring_for_post_rating"
        ).val(),
        unit_max_scorring_for_post_rating: $(
          "#unit_max_scorring_for_post_rating"
        ).val(),

        is_active_score_daily_visit: $("#is_active_score_daily_visit").is(
          ":checked"
        ),
        value_score_daily_visit: $("#value_score_daily_visit").val(),
        delay_get_score_daily_visit: $("#delay_get_score_daily_visit").val(),
        text_toast_score_daily_visit: $("#text_toast_score_daily_visit").val(),
        is_active_score_share_link: $("#is_active_score_share_link").is(
          ":checked"
        ),
        value_score_share_link: $("#value_score_share_link").val(),
        delay_get_score_share_link: $("#delay_get_score_share_link").val(),
        max_get_score_daily_share_link: $(
          "#max_get_score_daily_share_link"
        ).val(),
        is_active_score_publish_post: $("#is_active_score_publish_post").is(
          ":checked"
        ),
        value_score_publish_post: $("#value_score_publish_post").val(),

        is_active_score_publish_product: $("#is_active_score_publish_product").is(
          ":checked"
        ),
        value_score_publish_product: $("#value_score_publish_product").val(),

        is_active_score_birthday: $("#is_active_score_birthday").is(":checked"),
        is_active_show_birth_day_field_in_woopanel: $(
          "#is_active_show_birth_day_field_in_woopanel"
        ).is(":checked"),
        value_score_score_birthday: $("#value_score_score_birthday").val(),
        is_active_score_registerd_date: $("#is_active_score_registerd_date").is(
          ":checked"
        ),
        value_score_registerd_date: $("#value_score_registerd_date").val(),
      },
      success: function (data) {
        if (data.success) {
          avs_show_toast("تنظیمات با موفقیت به روزرسانی شد!");
        }
      },
      complete: function () {
        $("#save_score_setting").text("ذخیره اطلاعات");
      },
    });
  });

  $("#save_covert_score_setting").click(function (e) {
    e.preventDefault();
    $(this).text("درحال بررسی...");
    var url = $(this).attr("data-url-ajax");
    $.ajax({
      url: url,
      dataType: "json",
      type: "post",
      data: {
        action: "avans_save_covert_score_setting",
        is_active_convert_wallet: $("#is_active_convert_wallet").is(":checked"),
        cost_of_unit_score: $("#cost_of_unit_score").val(),
        minimum_score_for_convert_wallet: $(
          "#minimum_score_for_convert_wallet"
        ).val(),
        value_max_convert_wallet: $("#value_max_convert_wallet").val(),
        unit_max_convert_wallet: $("#unit_max_convert_wallet").val(),
      },
      success: function (data) {
        if (data.success) {
          avs_show_toast("تنظیمات با موفقیت به روزرسانی شد!");
        }
      },
      complete: function () {
        $("#save_covert_score_setting").text("ذخیره اطلاعات");
      },
    });
  });
  $("#save_coupen_generate_setting").click(function (e) {
    e.preventDefault();
    $(this).text("درحال بررسی...");
    var url = $(this).data("url-ajax");
    var coupons = [];

    jQuery.each($(".avans_coupon_events"), function (i, v) {
      var event = $(this).data("content");
      var coupon = {
        event: event,
        active: $(this).find(".is_active_generation_coupen").is(":checked"),
        num_char: $(this).find(".number_of_charecter_coupen").val(),
        prefix: $(this).find(".prefix_coupen").val(),
        min_amount: $(this).find(".min_price_for_coupen").val(),
        max_amount: $(this).find(".max_price_for_coupen").val(),
        expire: $(this).find(".expire_date_coupen").val(),
        value: $(this).find(".value_percent_coupen").val(),
        max_discount: $(this).find(".max_discount_coupon").val(),
        exclude_sale_product: $(this).find(".is_active_exclude_sale_product_from_coupon").is(":checked"),
        limit_cats: $(this).find(".limited_custom_category_for_copon").val(),
        limit_products: $(this).find(".limited_custom_product_for_copon").val(),
        exclude_cats: $(this).find(".exclude_custom_category_for_copon").val(),
        exclude_products: $(this)
          .find(".exclude_custom_product_for_copon")
          .val(),
        type: $(this).find(".avans_type_coupon_after_order").val(),
      };
      var vars = [];
      jQuery.each($(this).find(".sms-var"), function (i, v) {
        var data = {
          key: $(this).find(".avans_key_in_sms").val(),
          value: $(this).find(".avans_value_in_wp").val(),
        };
        vars.push(data);
      });
      coupon.sms = {
        type: $(this).find(".type_message").val(),
        vars: vars,
        text: $(this).find(".sms_text").val(),
        pattern: $(this).find(".pattern_code").val(),
      };
      if (event == "after-order") {
        coupon.limit_time_value = $(this)
          .find(".value_limit_send_coupon_by_time")
          .val();
        coupon.limit_time_unit = $(this)
          .find(".unit_limit_send_coupon_by_time")
          .val();
        coupon.min_price = $(this)
          .find(".minimum_total_price_for_send_cuppen")
          .val();
        coupon.min_orders = $(this)
          .find(".minimum_total_orders_for_send_cuppen")
          .val();
        coupon.repeat = $(this)
          .find('input[name="is_send_cuppen_time_for_user"]:checked')
          .val();
      }
      coupons.push(coupon);
    });
    // console.log(coupons);
    $.ajax({
      url: url,
      dataType: "json",
      type: "post",
      data: {
        action: "avans_save_coupen_generate_setting",
        coupons: coupons,
      },
      success: function (data) {
        if (data.success) {
          avs_show_toast("تنظیمات با موفقیت به روزرسانی شد!");
        }
      },
      complete: function () {
        $("#save_coupen_generate_setting").text("ذخیره اطلاعات");
      },
    });
  });

  $(document).on(
    "click",
    ".avans_accordion_box .accordion_title",
    function (e) {
      $(this)
        .closest(".avans_accordion_box")
        .find(".accordion_wrapper")
        .slideToggle(200);
    }
  );

  $(document).on("change", ".avans-settings-wrapper .type_message", function (e) {
    var type = $(this).val();
    if (type == "text") {
      $(this).closest(".avs-settings-box").find(".type_message_text").show();
      $(this).closest(".avs-settings-box").find(".type_message_pattern").hide();
    } else {
      $(this).closest(".avs-settings-box").find(".type_message_text").hide();
      $(this).closest(".avs-settings-box").find(".type_message_pattern").show();
    }
  });

  $("#save_general_setting").click(function (e) {
    e.preventDefault();
    $(this).text("درحال بررسی...");
    var url = $(this).attr("data-url-ajax");
    var service = $("#score_select_sms_type").val();

    $.ajax({
      url: url,
      dataType: "json",
      type: "post",
      data: {
        action: "avans_score_general_settings",
        sms_service: service,
        sms_username: $(".sms_panel_username_" + service).val(),
        sms_password: $(".sms_panel_password_" + service).val(),
        sms_api: $(".sms_panel_api_" + service).val(),
        sms_sender: $(".sms_panel_sender_" + service).val(),
        score_icon : $("#value-score-icon").val(),
        score_label : $("#custom_score_label").val(),
        notif_position: $("#avans_position_notification").val(),
        notif_time: $("#time-show-notifer").val(),
        notif_sound: $("#value-sound-notifer").val(),
        notif_icon: $("#value-icon-notifer").val(),
        notif_background: $("#bg-wrapper-notifer").val(),
        notif_color_text: $("#bg-text-notifer").val(),
        notif_color_border: $("#bg-border-notifer").val(),
        user_not_permision: $(
          "#avans_not_permision_user_and_role_select .avans_search_user_select"
        ).val(),
        role_not_permision: $(
          "#avans_not_permision_user_and_role_select .avans_search_rol_select"
        ).val(),
        status_main_score_after_convert: $(
          'input[name="status_main_score_after_convert"]:checked'
        ).val(),
      },
      success: function (data) {
        if (data.success) {
          avs_show_toast("تنظیمات با موفقیت به روزرسانی شد!");
        }
      },
      complete: function () {
        $("#save_general_setting").text("ذخیره اطلاعات");
      },
    });
  });

  $("#save_user_panel_setting").click(function (e) {
    e.preventDefault();
    $(this).text("درحال بررسی...");
    var wrapper = $("#avans_user_panel_module");
    var completeSection = $("#avs-settings-panel-complete-profile");
    var url = $(this).attr("data-url-ajax");

    var vars = [];
    jQuery.each(completeSection.find(".sms-var"), function (i, v) {
      var data = {
        key: $(this).find(".avans_key_in_sms").val(),
        value: $(this).find(".avans_value_in_wp").val(),
      };
      vars.push(data);
    });

    var settings = {
      show_panel: wrapper.find(".show_panel").is(":checked"),
      color_primary: wrapper.find(".color_primary").val(),
      show_telegram: wrapper.find(".show_telegram").is(":checked"),
      show_twitter: wrapper.find(".show_twitter").is(":checked"),
      show_facebook: wrapper.find(".show_facebook").is(":checked"),
      show_linkedin: wrapper.find(".show_linkedin").is(":checked"),
      show_email: wrapper.find(".show_email").is(":checked"),
      show_whatsapp: wrapper.find(".show_whatsapp").is(":checked"),

      title_panel: wrapper.find(".title_panel").val(),
      root_panel: wrapper.find(".root_panel").val(),
      show_gift: wrapper.find(".show_gift").is(":checked"),
      show_badges: wrapper.find(".show_badges").is(":checked"),
      title_badges: wrapper.find(".title_badges").val(),
      sub_title_badges: wrapper.find(".sub_title_badges").val(),

      show_mission: wrapper.find(".show_mission").is(":checked"),
      title_mission: wrapper.find(".title_mission").val(),
      sub_title_mission: wrapper.find(".sub_title_mission").val(),
      link_spin_wheel: wrapper.find(".link_spin_wheel").val(),
      show_spin_wheel: wrapper.find(".show_spin_wheel").is(":checked"),
      show_complete_profile: wrapper
        .find(".show_complete_profile")
        .is(":checked"),

      title_gift: wrapper.find(".title_gift").val(),
      sub_title_gift: wrapper.find(".sub_title_gift").val(),
      show_score_logs: wrapper.find(".show_score_logs").is(":checked"),
      title_score_logs: wrapper.find(".title_score_logs").val(),
      sub_title_score_logs: wrapper.find(".sub_title_score_logs").val(),
      show_convert_wallet: wrapper.find(".show_convert_wallet").is(":checked"),
      title_convert_wallet: wrapper.find(".title_convert_wallet").val(),
      sub_title_convert_wallet: wrapper.find(".sub_title_convert_wallet").val(),
      show_referers: wrapper.find(".show_referers").is(":checked"),
      title_referers: wrapper.find(".title_referers").val(),
      sub_title_referers: wrapper.find(".sub_title_referers").val(),
      show_faq: wrapper.find(".show_faq").is(":checked"),
      title_faq: wrapper.find(".title_faq").val(),
      link_faq: wrapper.find(".link_faq").val(),
      show_lottery: wrapper.find(".show_lottery").is(":checked"),
      sub_title_lottery: wrapper.find(".sub_title_lottery").val(),
      link_lottery: wrapper.find(".link_lottery").val(),
      countdown_lottery: wrapper.find(".countdown_lottery").val(),
      title_lottery: wrapper.find(".title_lottery").val(),
      link_ref: wrapper.find(".link_ref").val(),

      user_complete: {
        show_name: completeSection.find(".show_name").is(":checked"),
        show_last_name: completeSection.find(".show_last_name").is(":checked"),
        show_birthdate: completeSection.find(".show_birthdate").is(":checked"),
        show_mobile: completeSection.find(".show_mobile").is(":checked"),
        show_email: completeSection.find(".show_email").is(":checked"),
        show_avatar: completeSection.find(".show_avatar").is(":checked"),
        validation_mobile: completeSection
          .find(".validation_mobile")
          .is(":checked"),
        validation_email: completeSection
          .find(".validation_email")
          .is(":checked"),
        sms: {
          type: completeSection.find(".type_message").val(),
          vars: vars,
          text: completeSection.find(".sms_text").val(),
          pattern: completeSection.find(".pattern_code").val(),
        },
      },
    };
    $.ajax({
      url: url,
      dataType: "json",
      type: "post",
      data: {
        action: "avans_user_panel_settings",
        settings: settings,
      },
      success: function (data) {
        if (data.success) {
          avs_show_toast("تنظیمات با موفقیت به روزرسانی شد!");
        }
      },
      complete: function () {
        $("#save_user_panel_setting").text("ذخیره اطلاعات");
      },
    });
  });

  $(".avans_color_picker").wpColorPicker();

  $("#score_bg_title_email_coupen").wpColorPicker();
  $("#score_bg_btn_email_coupen").wpColorPicker();
  $("#bg-wrapper-notifer").wpColorPicker();
  $("#bg-text-notifer").wpColorPicker();
  $("#bg-border-notifer").wpColorPicker();
  $("#color_primary_score_panel").wpColorPicker();

  $("#save_referal_code_setting").click(function (e) {
    e.preventDefault();
    $(this).text("درحال بررسی...");
    var url = $(this).attr("data-url-ajax");
    // console.log(get_list_condition("avans_condition_referer_coupon"));
    $.ajax({
      url: url,
      dataType: "json",
      type: "post",
      data: {
        action: "avans_save_referal_code_setting",
        is_active_score_referal_code: $("#is_active_score_referal_code").is(
          ":checked"
        ),
        format_code_referal: $(
          'input[name="format_code_referal"]:checked'
        ).val(),
        suffix_format_code_referal: $("#suffix_format_code_referal").val(),
        prefix_format_code_referal: $("#prefix_format_code_referal").val(),
        count_use_from_code_referal: $(
          'input[name="count_use_from_code_referal"]:checked'
        ).val(),
        value_fee_referal_code: $("#value_fee_referal_code").val(),
        value_fee_referal_code_type: $(
          'input[name="value_fee_referal_code_type"]:checked'
        ).val(),
        value_score_referal_user: $("#value_score_referal_user").val(),
        type_score_referal_user: $(
          'input[name="type_score_referal_user"]:checked'
        ).val(),
        value_day_referal_code_coocki: $(
          "#value_day_referal_code_coocki"
        ).val(),
        avans_condition_referer_coupon: get_list_condition(
          "avans_condition_referer_coupon"
        ),
        avans_condition_referer_commission: get_list_condition(
          "avans_condition_referer_commission"
        ),
      },
      success: function (data) {
        if (data.success) {
          avs_show_toast("تنظیمات با موفقیت به روزرسانی شد!");
        }
      },
      complete: function () {
        $("#save_referal_code_setting").text("ذخیره اطلاعات");
      },
    });
  });
  $("#avans_userlevels_setting").click(function (e) {
    var levels = get_list_levels();
    e.preventDefault();
    $(this).text("درحال بررسی...");
    var url = $(this).attr("data-url-ajax");
    $.ajax({
      url: url,
      dataType: "json",
      type: "post",
      data: {
        action: "avans_userlevels_setting",
        levels: levels,
      },
      success: function (data) {
        if (data.success) {
          avs_show_toast("تنظیمات با موفقیت به روزرسانی شد!");
          $("#avans_userlevels_setting").text("ذخیره اطلاعات");
        }
      },
    });
  });
  // end save settings

  $(document).on("click", ".avans_add_score_to_user", function (e) {
    $(".avans_name_alert").remove();
    e.preventDefault();
    var poppup = $(".avans_alert_add_score");
    poppup.fadeIn(200);
    var username = $(this).closest(".row").find(".fullname").html();
    poppup
      .find(".avans_title_alert h4")
      .append('<b class="avans_name_alert"> (' + username + ")</b>");
    poppup
      .find(".avans_add_score_btn")
      .attr("data-user-id", $(this).attr("data-user-id"));
    return;
  });

  $(document).on(
    "click",
    ".avans_alert_add_score .dashicons-dismiss",
    function (e) {
      $(".avans_name_alert").remove();
      $(".avans_alert_add_score").fadeOut(200);
    }
  );

  $(document).on("click", ".avans_add_score_btn", function (e) {
    e.preventDefault();
    var title = $(this)
      .closest(".avans_alert_add_score")
      .find("#avans_add_score_title")
      .val();
    var score = $(this)
      .closest(".avans_alert_add_score")
      .find("#avans_value_add_score")
      .val();
    var userid = $(this).attr("data-user-id");
    var $this = $(this);
    if (score == 0 || score == null) {
      return alert("مقدار امتیاز نباید خالی و یا صفر باشد!");
    }
    $(this).html("در حال بررسی...");
    $.ajax({
      url: $this.attr("data-ajax-url"),
      dataType: "json",
      type: "post",
      data: {
        action: "avans_increase_score_user",
        score: score,
        userid: userid,
        title: title,
      },
      success: function (data) {
        if (data.success) {
          $(".row-user-" + userid)
            .find(".score")
            .html(data.score);
          $(".row-user-" + userid)
            .find(".score_valid")
            .html(data.score_valid);

          $this
            .closest(".avans_alert_add_score")
            .find("#avans_add_score_title")
            .val("");
          $this
            .closest(".avans_alert_add_score")
            .find("#avans_value_add_score")
            .val("");
          $this.html("اعمال");
          $this.closest(".avans_alert_add_score").fadeOut();

          avs_show_toast("امتیاز به کاربر اهدا شد!");
        }
      },
    });
  });

  // start for show notifer
  function avs_show_toast(text) {
    var readyStateCheckInterval = setInterval(function () {
      if (document.readyState === "complete") {
        clearInterval(readyStateCheckInterval);
        var title = "";
        var description = text;
        var icon = "https://csilva2810.github.io/notifier/img/ok-48.png";
        var timeout = 4000;
        var position = "top-right";
        var color = {
          border: "#aaa",
          background: "#fff",
          color: "#000",
          radius: "4",
        };
        var sound = "";
        notifier.show(
          title,
          description,
          icon,
          timeout,
          position,
          color,
          sound
        );
      }
    }, 10);
  }
  // end for show notifer

  //start for change model scorring purchase action!
  var smspanelsaved = $("#type_model_scoring_prurchase").val();
  var Idsellectorsaved = ".score-option-purchase #" + smspanelsaved;
  $(Idsellectorsaved).addClass("select");
  $(".score-option-purchase .select").show(100);
  $(".score-option-purchase .item").not(".select").hide(100);
  $("#type_model_scoring_prurchase").change(function () {
    var smsPannelName = $("#type_model_scoring_prurchase").val();
    var Idsellector = ".score-option-purchase #" + smsPannelName;
    $(".score-option-purchase .select").hide(100);
    $(".score-option-purchase .item").removeClass("select");
    $(Idsellector).addClass("select");
    $(".score-option-purchase .select").show(100);
  });
  //end for change model scorring purchase action!

  $(".avans-settings-actions-list li").click(function (e) {
    var id = $(this).closest(".avans-flex-item").attr("id");
    var id_box = $(this).attr("data-content");
    $(".avans-settings-actions-list li").removeClass("active");
    $(this).addClass("active");
    avs_admin_change_url($(this).attr("data-url"));
    $(".avs-settings-box").fadeOut(10);
    $("#" + id_box).fadeIn(200);
    scroll_to_settings_element(
      $("#" + id).find(".wrapper"),
      $("#" + id).find(".content")
    );
  });

  $(".copy-shortcode").click(function (event) {
    var id = $(this).closest(".avans_wrapper_field").find("input").attr("id");
    var copyText = document.getElementById(id);
    copyText.select();
    copyText.setSelectionRange(0, 99999);
    document.execCommand("copy");
    alert("کپی شد!");
  });

  function avs_admin_change_url(url) {
    window.history.pushState("data", "Title", url);
  }

  function get_list_condition(name) {
    var conditions = [];
    $("#" + name + " .conditions .condition").each(function (index) {
      var condition = {
        condition: $(this).find("select:nth-child(1)").val(),
        operation: $(this).find("select:nth-child(2)").val(),
        data: $(this).find("select:nth-child(3)").val(),
        score: $(this).find("input").val(),
      };
      conditions.push(condition);
    });
    return conditions;
  }

  function get_list_levels() {
    var levels = [];
    $("#avans_user_levels_module .levels-list .level-item").each(function (
      index
    ) {
      // console.log(index);
      var title = $(this).find(".title").val().trim();
      var score = $(this).find(".level").val().trim();
      // console.log(title,score);
      if (title != "" && score != "") {
        var level = {
          level: title,
          min_score: score,
        };
      }
      levels.push(level);
    });
    // console.log(levels);
    return levels;
  }

  function check_avans_sms_panel() {
    var smspanelsaved = $("#score_select_sms_type").val();
    var Idsellectorsaved = ".sms-panels #" + smspanelsaved;
    $(Idsellectorsaved).addClass("select");
    $(".sms-panels .select").show(100);
    $(".sms-panels .item").not(".select").hide(100);
    $("#score_select_sms_type").change(function () {
      var smsPannelName = $("#score_select_sms_type").val();
      var Idsellector = ".sms-panels #" + smsPannelName;
      $(".sms-panels .select").hide(100);
      $(".sms-panels .item").removeClass("select");
      $(Idsellector).addClass("select");
      $(".sms-panels .select").show(100);
    });

    var type_message = $(".avans-settings-wrapper .type_message");
    jQuery.each(type_message, function () {
        var type = $(this).val();
        if (type == "text") {
          $(this).closest(".avs-settings-box").find(".type_message_text").show();
          $(this).closest(".avs-settings-box").find(".type_message_pattern").hide();
        } else {
          $(this).closest(".avs-settings-box").find(".type_message_text").hide();
          $(this).closest(".avs-settings-box").find(".type_message_pattern").show();
        }
    });


  }
  check_avans_sms_panel();

  $(document).on(
    "click",
    ".post-type-avans-lottery .column-members .dashicons-visibility",
    function (e) {
      e.preventDefault();
      $(".post-type-avans-lottery").append(
        '<div class="avans-loader"><div class="lds-ripple"><div></div><div></div></div></div>'
      );
      $.ajax({
        url: $(this).data("ajax"),
        dataType: "html",
        method: "GET",
        data: {
          action: "view_lottery_members",
          lottery_id: $(this).data("id"),
        },
        success: function (data) {
          // console.log(data);
          $(".avans-loader").remove();
          $(".post-type-avans-lottery").append(data);
        },
      });
    }
  );

  $(document).on(
    "click",
    ".post-type-avans-lottery .lottery_poppup .header_dialog span.dashicons",
    function (e) {
      $(this).closest(".wrapper_members_lottery").remove();
    }
  );

  $(document).on(
    "click",
    ".post-type-avans-lottery  .column-operation .avnas_run_lottery",
    function (e) {
      e.preventDefault();
      $(".post-type-avans-lottery").append(
        '<div class="avans-loader"><div class="lds-ripple"><div></div><div></div></div></div>'
      );
      var btn = $(this);
      $.ajax({
        url: $(this).data("ajax"),
        dataType: "html",
        method: "GET",
        data: {
          action: "avnas_run_lottery",
          lottery_id: $(this).data("id"),
        },
        success: function (data) {
          // console.log(data);
          $(".avans-loader").remove();
          $(".post-type-avans-lottery").append(data);
          btn.prop("disabled", true);
        },
      });
    }
  );

  $(document).on(
    "click",
    ".post-type-avans-lottery  .column-operation .avnas_report_lottery",
    function (e) {
      e.preventDefault();
      $(".post-type-avans-lottery").append(
        '<div class="avans-loader"><div class="lds-ripple"><div></div><div></div></div></div>'
      );
      $.ajax({
        url: $(this).data("ajax"),
        dataType: "html",
        method: "GET",
        data: {
          action: "avans_get_winners",
          lottery_id: $(this).data("id"),
        },
        success: function (data) {
          // console.log(data);
          $(".avans-loader").remove();
          $(".post-type-avans-lottery").append(data);
        },
      });
    }
  );

  $(document).on("click", ".avans_add_score_to_users", function (e) {
    e.preventDefault();
    $(".avans_alert_add_to_all_score").fadeIn(200);
  });

  $(document).on("click", ".avans_add_to_all_score_btn", function () {
    var title = $(this)
      .closest(".avans_body_alert")
      .find(".avans_add_score_title")
      .val();
    var score = $(this)
      .closest(".avans_body_alert")
      .find(".avans_value_add_score")
      .val();
    var $this = $(this);
    if (score == 0 || score == null) {
      return alert("مقدار امتیاز نباید خالی و یا صفر باشد!");
    }
    $(this).html("در حال بررسی...");
    $.ajax({
      url: $this.attr("data-ajax-url"),
      dataType: "json",
      type: "post",
      data: {
        action: "avans_increase_score_users",
        score: score,
        title: title,
      },
      success: function (data) {
        if (data.success) {
          $this
            .closest(".avans_alert_add_to_all_score")
            .find(".avans_add_score_title")
            .val("");
          $this
            .closest(".avans_alert_add_to_all_score")
            .find(".avans_value_add_score")
            .val("");
          $this.html("اعمال");
          $this.closest(".avans_alert_add_to_all_score").fadeOut();

          avs_show_toast("امتیاز به کاربران اهدا شد!");
        }
      },
    });
  });

  $(document).on(
    "click",
    ".avans_alert_add_to_all_score .dashicons-dismiss",
    function (e) {
      $(".avans_alert_add_to_all_score").fadeOut(200);
    }
  );

  if ($('input[name="format_code_referal"]:checked').val() == "custom") {
    $("#formats_code_option").show(100);
  } else {
    $("#formats_code_option").hide(100);
  }

  $('input[name="format_code_referal"]').click(function () {
    if ($(this).attr("value") == "auto") {
      $("#formats_code_option").hide(100);
    }
    if ($(this).attr("value") == "custom") {
      $("#formats_code_option").show(100);
    }
  });
  $(".avans_table.avans_table_refs_log .item.id input").change(function () {
    var wrapper = $(this)
      .closest(".avans_refs_log_wrapper")
      .find("#avans-btn-apply-commision-logs");
    wrapper.prop("disabled", false);
  });

  $(".avans_table.avans_table_refs_log .header .item.id input").change(
    function () {
      var wrapper = $(this)
        .closest(".avans_table.avans_table_refs_log")
        .find(".main");
      wrapper.find(".item.id input").prop("checked", $(this).is(":checked"));
      var header = $(this)
        .closest(".avans_table.avans_table_refs_log")
        .find(".header");
      header.find(".item.id input").prop("checked", $(this).is(":checked"));
    }
  );
  $(".avans_table.avans_table_refs_log .footer .item.id input").change(
    function () {
      var wrapper = $(this)
        .closest(".avans_table.avans_table_refs_log")
        .find(".main");
      wrapper.find(".item.id input").prop("checked", $(this).is(":checked"));
      var header = $(this)
        .closest(".avans_table.avans_table_refs_log")
        .find(".header");
      header.find(".item.id input").prop("checked", $(this).is(":checked"));
    }
  );

  $(document).on("click", "#avans-btn-apply-commision-logs", function () {
    var checked = $(this)
      .closest(".avans_refs_log_wrapper")
      .find(".avans_table_refs_log .main .item.id input:checked");
    jQuery.each(checked, function (i, v) {
      $(this)
        .closest(".row")
        .find(".operations .button_apply_ref_commision")
        .trigger("click");
    });
  });

  $(document).on(
    "click",
    ".button_apply_ref_commision:not(.approved)",
    function (e) {
      e.preventDefault();
      var btn = $(this);
      btn.text("درحال بررسی");
      btn.prop("disabled", true);
      apply_Commission_refs(btn, btn.data("avans"));
    }
  );

  function apply_Commission_refs(btn, logs) {
    $.ajax({
      url: btn.data("ajax"),
      dataType: "json",
      type: "post",
      data: {
        action: "apply_commision_ref_order",
        log: logs,
      },
      success: function (res) {
        if (res.success) {
          btn.text("اعمال شد");
          btn.addClass("approved");
        } else {
          btn.text("خطا در اعمال");
        }
      },
    });
  }

  $(document).on("click", "button#avans_clear_logs_score", function (e) {
    e.preventDefault();
    var btn = $(this);
    btn.text("در حال بررسی...");
    btn.prop("disabled", true);
    $.ajax({
      url: btn.data("ajax"),
      dataType: "json",
      type: "post",
      data: {
        action: "avans_set_clear_user_logs",
      },
      success: function () {
        avs_show_toast("پاک سازی گزارشات با موفقیت انجام شد");
        btn.prop("disabled", false);
        btn.text("پاک سازی کن!");
      },
    });
  });

  $(document).on("click", "button#avans_set_zero_score", function (e) {
    e.preventDefault();
    var btn = $(this);
    btn.text("در حال بررسی...");
    btn.prop("disabled", true);
    $.ajax({
      url: btn.data("ajax"),
      dataType: "json",
      type: "post",
      data: {
        action: "avans_set_zero_user_score",
      },
      success: function () {
        avs_show_toast("امتیاز همه کاربران به صفر تغییر پیدا کرد.");
        btn.prop("disabled", false);
        btn.text("صفر کن!");
      },
    });
  });

  $(document).on("click", ".avans_import_from_plugins", function (e) {
    e.preventDefault();
    var btn = $(this);
    var type = $(this).data("type");
    
    if (btn.data("active") == false) {
      alert("این افزونه در سایت شما غیر فعال است");
      return;
    }
    btn.prop("disabled", true);
    btn.text("درحال به روزرسانی");
    $.ajax({
      url: btn.data("ajax"),
      dataType: "json",
      type: "post",
      data: {
        action: "avans_import_score_form_some_plugins",
        type: type,
      },
      success: function (response) {
        avs_show_toast("عملیات با موفقیت انجام شد!");
        btn.text("انجام شد!");
      },
    });
  });


  $(document).on("click", "#avans_export_from_users_score", function (e) {
    e.preventDefault();

    var btn = $(this);
    btn.text("در حال برون بری...");

    $.ajax({
      url: $(this).data("ajax"),
      type: "GET",
      dataType: "json",
      data: {
        action: "avans_export_users_data",
      },
      success: function (response) {
        window.open(response.url,"_blank");
        btn.text("ّبرون بری");
      }
    });
    
    
  });

  $(document).on("click", "#avans_export_logs", function (e) {
    e.preventDefault();

    var btn = $(this);
    btn.text("در حال برون بری...");

    $.ajax({
      url: $(this).data("ajax"),
      type: "GET",
      dataType: "json",
      data: {
        action: "avans_export_logs",
      },
      success: function (response) {
        window.open(response.url, "_blank");
        btn.text("ّبرون بری");
      },
    });
  });

  $(document).on("keyup", "#avans_root_panel_setting", function () {
    var root = $(this).val();
    $("#avans_root_panel_helper").text(root);
  });


  $(document).on("click", "#avans_export_user_data", function (e) {
    e.preventDefault();
    $("#avans_wrapper_popup_export_user_data").fadeIn(100);
  });

  $(document).on("click", "#avans_wrapper_popup_export_user_data .header-popup .dashicons-dismiss", function (e) {
    e.preventDefault();
    $("#avans_wrapper_popup_export_user_data").fadeOut(100);
  });

  $(document).on('click', ".avans_add_badge_to_user", function (e) {
    e.preventDefault();
    var poppup = $(".avans_alert_add_badge");
    poppup.find('.avans_name_alert').remove()
    var username = $(this).closest(".row").find(".fullname").html();
    poppup
      .find(".avans_title_alert h4")
      .append('<b class="avans_name_alert"> (' + username + ")</b>");
    $(".avans_alert_add_badge").fadeIn(100);
    poppup
    .find("#avans_add_badge_btn")
    .attr("data-user-id", $(this).attr("data-user-id"));
  });

  $(document).on("click", ".avans_alert_add_badge .avans_title_alert span", function () {
    $(".avans_alert_add_badge").fadeOut(100);
    $("#avans_select_multi_badge_for_user").val("").trigger("change");
  });

  $(document).on("click", "#avans_add_badge_btn", function () {
    var btn = $(this);
    btn.html("در حال بررسی و اهدا نشان...");
    var user = btn.data('user-id');
    var badges = $("#avans_select_multi_badge_for_user").val();
    $.ajax({
      url: btn.data('ajax-url'),
      dataType: 'json',
      type: 'post',
      data: {
        action: 'award_badges_to_user',
        badges: badges,
        user : user,
      },
      success: function (response) {
        avs_show_toast("نشان ها به کاربر مورد نظر اهدا شدند.");
        $(".avans_alert_add_badge").fadeOut();
        $("#avans_select_multi_badge_for_user").val("").trigger("change");
        btn.html("اهدا نشان");
      },
      error: function (error) {
        alert('درفرایند اهدا نشان خطایی بوجود آمد!');
        btn.html("اهدا نشان");
      }
    });
  })

  $(document).on("click", "#avans_export_data_btn", function (e) {
    e.preventDefault();
    var btn = $(this);
    var select = [];
    var selectString = [];
    $(".avans_export_option").each(function (i, v) {

        if ($(this).is(":checked")) {
          select.push($(this).data("type"));
          selectString.push($(this).closest(".row").find(".label-option").text());
        } 
    });

    btn.text("در حال استخراج اطلاعات ، لطفا چند لحظه منتظر بمانید...")

    $.ajax({
      url: btn.data('ajax'),
      dataType: 'json',
      type: 'post',
      data: {
        action: 'avans_export_users_info',
        select : select,
        header : selectString,
      },
      success: function (response) {
        window.open(response.url, "_blank");
        btn.text("دریافت فایل خروجی اکسل");
        // console.log(response);
      },
      error: function (error) {
        // console.log(error);
        btn.text("دریافت فایل خروجی اکسل");
        alert('فرایند برون بری با خطا مواجه شد!');
      }
    });

  });


  $(document).on("click", ".avans_gifts_log_wrapper .get_content_prize", function () {
    var id = $(this).data('id');
    var content = $(this).data('content');
    var ajax = $(this).data('ajax');
    var created_at = $(this).data('time');
    $(".avans_gifts_log_wrapper").append(
      '<div class="avans-loader"><div class="lds-ripple"><div></div><div></div></div></div>'
    );
    $.ajax({
      url: ajax,
      dataType: 'html',
      type: 'get',
      data: {
        action: 'avans_get_result_gift',
        id: id,
        content: content,
        created_at : created_at,
      },
      success: function (result) {
        $("#avans_popup_admin_content_gift").fadeIn(100);
        $("#avans_popup_admin_content_gift .content").html(result);
        $(".avans-loader").remove();
      }
    })
  });



  $(document).on("click", "#avans_popup_admin_content_gift .close", function (e) {
    $(this).closest("#avans_popup_admin_content_gift").fadeOut(100);
  });









});
