var rater = require("rater-js");

var myRater = rater({
  element: document.querySelector(".avans_post_rater"),
  step: 1,
  starSize: 35,
  rateCallback: function rateCallback(rating, done) {
    myRater.disable();
    jQuery(document).ready(function ($) {
      $.ajax({
        url: avans_data_post_rate.ajax,
        type: "post",
        dataType: "json",
        data: {
          action: "avans_set_star_rate_post",
          rate: rating,
          post_id: avans_data_post_rate.post_id,
        },
        success: function (response) {
          if (response.success) {
            myRater.setRating(response.rate);
            if (response.score > 0) {
              var option = {
                settings: {
                  text: response.text,
                },
              };
              avs_show_toast(option);
            }
            $(".avans_post_rate_description").text(response.meta);              
            done();
          }
        },
      });
    });
  },
});
if (avans_data_post_rate.use) {
  myRater.disable();
}
myRater.setRating(parseFloat(avans_data_post_rate.rate));