jQuery(document).ready(function ($) {
    
  $(".badge-settings_wrapper .steps .custom_products").each(function (index) {
    var v = $(this).data("avans");
    var step = $(this).closest('.steps');
    var product__data = undefined;
    if (v.id != null) {
        product__data = [{ id: v.id, text: v.name, selected: true }];
    }
    avans_initialize_products_select2(step.find(".custom_products"), product__data);
  });

  $(".badge-settings_wrapper .steps .custom_gform").each(function (index) {
    var v = $(this).data("avans");
    var step = $(this).closest(".steps");
    var gform__data = undefined;
    if (v.id != null) {
      var gform__data = [{ id: v.id, text: v.name, selected: true }];
    }
    avans_initialize_gform_select2(step.find(".custom_gform"), gform__data);
  });
  
  $(".badge-settings_wrapper .steps .custom_post").each(function (index) {
    var v = $(this).data("avans");
    var step = $(this).closest(".steps"); 
    var post__data = [{ id: v.id, text: v.name, selected: true }];
    var post__data = undefined;
    if (v.id != null) {
      var post__data = [{ id: v.id, text: v.name, selected: true }];
    }
    avans_initialize_post_select2(step.find(".custom_post"), post__data);
  });

  $(".badge-settings_wrapper .steps .custom_badge").each(function (index) {
    var v = $(this).data("avans");
    var step = $(this).closest(".steps");
    var post__data = [{ id: v.id, text: v.name, selected: true }];
    var post__data = undefined;
    if (v.id != null) {
      var post__data = [{ id: v.id, text: v.name, selected: true }];
    }
    avans_initialize_badges_select2(step.find(".custom_badge"), post__data);
  });

    $(".badge-settings_wrapper .steps .custom_all_post_types").each(function (index) {
      var v = $(this).data("avans");
      var step = $(this).closest(".steps");
      var post__data = [{ id: v.id, text: v.name, selected: true }];
      var post__data = undefined;
      if (v.id != null) {
        var post__data = [{ id: v.id, text: v.name, selected: true }];
      }
      avans_initialize_all_post_types_select2(step.find(".custom_all_post_types"), post__data);
    });


    avans_initialize_fiels_script();

    var html_trigger;
    $.ajax({
      url: data_badge.ajax,
      type: "GET",
        dataType: "html",
        data: {
            action: 'avans_get_trigger_badge_item_settings',
        },
        success: function (response) {
            html_trigger = response;
        }
    });

    $(document).on("click", "#add_badge_setps", function (e) {
        e.preventDefault();
        $(this)
          .closest("#avans_badge_settings_metabox")
          .find(".badge-settings_wrapper")
            .append(html_trigger);
        avans_initialize_fiels_script();
    });

    $(document).on(
      "click",
        ".badge-settings_wrapper .steps .header .operation .remove",
        function (e) {
            e.preventDefault();
            $(this).closest(".steps").remove();
            e.stopPropagation();
      }
    );

    $(document).on(
      "click",
      ".badge-settings_wrapper .steps .header .operation .add",
      function (e) {
        e.preventDefault();
        $(this).closest(".steps").before(html_trigger);
        avans_initialize_fiels_script();
        e.stopPropagation();
      }
    );

      $(document).on(
        "click",
        ".badge-settings_wrapper .steps>.header",
        function (e) {
          $(this).closest(".steps").find(".body_step").slideToggle(300);
        }
      );

    $(document).on("keyup change", ".wrapper_fileds .title_step", function (e) {
      $(this)
        .closest(".steps")
        .find(".header>.title_badge_step_collapps")
        .text($(this).val());
    });
    
    $(document).on("change", ".select_action_step_for_badge", function (e) {
      var select = $(this);
      var step = $(this).closest('.steps');
        $.ajax({
          url: data_badge.ajax,
          type: "GET",
          dataType: "html",
          data: {
            action: "avans_get_trigger_settings_fields",
            type: select.val(),
          },
            success: function (response) {
            select.closest(".steps").find(".condition_step_feilds").remove();
            select.closest(".wrapper_fileds").after(response);
              avans_initialize_fiels_script();
              avans_initialize_products_select2(step.find(".custom_products"), undefined);
              avans_initialize_gform_select2(step.find(".custom_gform"), undefined);
              avans_initialize_post_select2(step.find(".custom_post"), undefined);
              avans_initialize_badges_select2(step.find(".custom_badge"), undefined);
              avans_initialize_all_post_types_select2(step.find(".custom_all_post_types"), undefined);
          },
        });
    });
    
  
   $(document).one(
     "click",
     "div#major-publishing-actions #publish",
     function (e) {
       e.preventDefault();
       $("#avans_badge_settings_all").val(JSON.stringify(get_steps()));
      //  console.log(get_steps());
      //  console.log(JSON.stringify(get_steps()));
       $(this).trigger("click");
     }
   );
    
  function get_steps() {
    var steps = [];
    $(".badge-settings_wrapper .steps").each(function (i) {
      step = {};
      step.title = $(this).find(".title_step").val();
      step.action = $(this).find(".select_action_step_for_badge").val();
      switch (step.action) {
        case "value_of_total_purchase_products":
          step.total_purcahase = $(this).find(".value_of_total_purchase").val();
          break;
        case "custom_product_purchased":
          step.product_id = $(this).find(".custom_products").val();
          break;
        case "total_order_up_to_custom_amount":
          step.total_order = $(this).find(".value_of_total_order").val();
          break;
        case "customer_commented_in_custom_page":
          step.product_id = $(this).find(".custom_products").val();
          break;
        case "custom_gform_submitted":
          step.form_id = $(this).find(".custom_gform").val();
          break;
        case "custom_gform_submitted_for_severaltimes":
          step.count = $(this).find(".min_count_fill_gform").val();
          step.form_id = $(this).find(".custom_gform").val();
          break;
        case "share_custom_post_with_a_number_of_people":
          step.count = $(this).find(".min_count_share_custom_page").val();
          step.post_id = $(this).find(".custom_all_post_types").val();
          break;
        case "insert_a_comment_in_the_post":
          step.post_id = $(this).find(".custom_post").val();
          break;
        case "insert_post_by_number":
          step.count = $(this).find(".min_count_insert_post").val();
          break;
        case "view_custom_post_type_by_number":
          step.post_type = $(this).find(".custom_post_type").val();
          step.count = $(this).find(".count_view_post_type").val();
          break;
        case "period_of_user_membership_time_to_custom_time":
          step.time = $(this).find(".count_period_user_membership").val();
          step.unit = $(this).find(".unit_period_user_membership").val();
          break;
        case "view_video_by_number":
          step.count = $(this).find(".count_view_viedos").val();
          break;
        case "view_videos_in_custom_page":
          step.post_id = $(this).find(".custom_all_post_types").val();
          break;
        case "view_custom_video_in_custom_page":
          step.video_id = $(this).find(".id_video").val();
          step.post_id = $(this).find(".custom_all_post_types").val();
          break;
        case "listen_to_podcasts_by_number":
          step.count = $(this).find(".count_listen_podcasts").val();
          break;
        case "listen_to_podcasts_custom_page":
          step.post_id = $(this).find(".custom_all_post_types").val();
          break;
        case "listen_to_custom_podcast_in_custom_page":
          step.podcast_id = $(this).find(".id_podcast").val();
          step.post_id = $(this).find(".custom_all_post_types").val();
          break;
        case "register_new_users_with_ref_code_by_number":
          step.count = $(this).find(".user_count_ref_register").val();
          break;
        case "custom_avans_badge_getted":
          step.post_id = $(this).find(".custom_badge").val();
          break;
      }
      steps.push(step);
    });
    return steps;
  }



  function avans_initialize_fiels_script() {
      // $(".badge-settings_wrapper .steps .custom_badge").select2();
      $(".select_action_step_for_badge").select2();
      $(".custom_post_type").select2();
      $(".unit_period_user_membership").select2();
  }

  function avans_initialize_products_select2(el,select_product_default) {
    $(el).select2({
      data: select_product_default,
      ajax: {
        url: data_badge.ajax, // AJAX URL is predefined in WordPress admin
        dataType: "json",
        delay: 250,
        data: function (params) {
          return {
            q: params.term,
            action: "avans_serach_product",
          };
        },
        processResults: function (data) {
          var options = [];
          if (data) {
            // data is the array of arrays, and each of them contains ID and the Label of the option
            $.each(data, function (index, text) {
              // do not forget that "index" is just auto incremented value
              options.push({ id: text[0], text: text[1] });
            });
          }
          return {
            results: options,
          };
        },
        cache: true,
      },
      minimumInputLength: 3,
      language: {
        inputTooShort: function () {
          return "حداقل سه حرف اول نام محصول را وارد نمایید...";
        },
        searching: function () {
          return "در حال جستجو...";
        },
      },
    });
  }

  function avans_initialize_all_post_types_select2(el, select_posts_default) {
      $(el).select2({
        data: select_posts_default,
        ajax: {
          url: data_badge.ajax, // AJAX URL is predefined in WordPress admin
          dataType: "json",
          delay: 250,
          data: function (params) {
            return {
              q: params.term,
              action: "avans_serach_all_posts",
            };
          },
          processResults: function (data) {
            var options = [];
            if (data) {
              // data is the array of arrays, and each of them contains ID and the Label of the option
              $.each(data, function (index, text) {
                // do not forget that "index" is just auto incremented value
                options.push({ id: text[0], text: text[1] });
              });
            }
            return {
              results: options,
            };
          },
          cache: true,
        },
        minimumInputLength: 3,
        language: {
          inputTooShort: function () {
            return "حداقل سه حرف اول نام نوشته را وارد نمایید...";
          },
          searching: function () {
            return "در حال جستجو...";
          },
        },
      });
  }


  function avans_initialize_gform_select2(el,select_gform_default) {
    $(el).select2({
      data: select_gform_default,
      ajax: {
        url: data_badge.ajax, // AJAX URL is predefined in WordPress admin
        dataType: "json",
        delay: 250,
        data: function (params) {
          return {
            q: params.term,
            action: "avans_serach_gform",
          };
        },
        processResults: function (data) {
          var options = [];
          if (data) {
            // data is the array of arrays, and each of them contains ID and the Label of the option
            $.each(data, function (index, text) {
              // do not forget that "index" is just auto incremented value
              options.push({ id: text[0], text: text[1] });
            });
          }
          return {
            results: options,
          };
        },
        cache: true,
      },
      minimumInputLength: 3,
      language: {
        inputTooShort: function () {
          return "حداقل سه حرف اول نام فرم گرویتی را وارد نمایید...";
        },
        searching: function () {
          return "در حال جستجو...";
        },
      },
    });
  }

  function avans_initialize_post_select2(el,select_post_default) {
    $(el).select2({
      data: select_post_default,
      ajax: {
        url: data_badge.ajax, // AJAX URL is predefined in WordPress admin
        dataType: "json",
        delay: 250,
        data: function (params) {
          return {
            q: params.term,
            action: "avans_serach_posts",
          };
        },
        processResults: function (data) {
          var options = [];
          if (data) {
            // data is the array of arrays, and each of them contains ID and the Label of the option
            $.each(data, function (index, text) {
              // do not forget that "index" is just auto incremented value
              options.push({ id: text[0], text: text[1] });
            });
          }
          return {
            results: options,
          };
        },
        cache: true,
      },
      minimumInputLength: 3,
      language: {
        inputTooShort: function () {
          return "حداقل سه حرف اول نام مطلب را وارد نمایید...";
        },
        searching: function () {
          return "در حال جستجو...";
        },
      },
    });
  }


    function avans_initialize_badges_select2(el, select_post_default) {
      $(el).select2({
        data: select_post_default,
        ajax: {
          url: data_badge.ajax, // AJAX URL is predefined in WordPress admin
          dataType: "json",
          delay: 250,
          data: function (params) {
            return {
              q: params.term,
              action: "avans_serach_badges",
            };
          },
          processResults: function (data) {
            var options = [];
            if (data) {
              // data is the array of arrays, and each of them contains ID and the Label of the option
              $.each(data, function (index, text) {
                // do not forget that "index" is just auto incremented value
                options.push({ id: text[0], text: text[1] });
              });
            }
            return {
              results: options,
            };
          },
          cache: true,
        },
        minimumInputLength: 3,
        language: {
          inputTooShort: function () {
            return "حداقل سه حرف اول نام نشان را وارد نمایید...";
          },
          searching: function () {
            return "در حال جستجو...";
          },
        },
      });
    }

});