<?php

use Avans\sms_panels\smsir\SmsIR_SendSms;
use Avans\sms_panels\smsir\SmsIR_UltraFastSend;

$APIKey = $settings['username_'.$service];
$SecretKey = $settings['password_'.$service];
$sender = $settings['sender_'.$service];

if (!empty($pattern)) {
    try {
        date_default_timezone_set("Asia/Tehran");

        $params = [];
        if (is_array($message)) {
            foreach ($message as $key => $value) {
                $params[] = [
            "Parameter" => $key,
            "ParameterValue" => $value,
            ];
            }
        }
    
        $data = array(
            "ParameterArray" => $params,
            "Mobile" => $mobile,
            "TemplateId" => $pattern
        );

        $SmsIR_UltraFastSend = new SmsIR_UltraFastSend($APIKey, $SecretKey);
        $UltraFastSend = $SmsIR_UltraFastSend->UltraFastSend($data);
    } catch (Exception $e) {
    }
}else{
    try {
        date_default_timezone_set("Asia/Tehran");
        
        // your sms.ir panel configuration
        $APIKey = $APIKey;
        $SecretKey =  $SecretKey;
        $LineNumber = $sender;

        // your mobile numbers
        $MobileNumbers = array($mobile);
    
        // your text messages
        $Messages = array("$message");
    
        // sending date
        @$SendDateTime = date("Y-m-d")."T".date("H:i:s");

        $SmsIR_UltraFastSend = new SmsIR_SendSms($APIKey, $SecretKey, $LineNumber);
        $SendMessage = $SmsIR_UltraFastSend->SendMessage($MobileNumbers, $Messages, $SendDateTime);
    } catch (Exception $e) {
    }
}

