<?php

use Avans\data;
use Avans\func;
use Avans\user;

if ($old_status != $new_status) {
    
    if(!user::is_permision_get_score('comment', $comment->user_id)){
        return;
    }  

    $has_bought = false;

    if ( class_exists( 'WooCommerce' ) && get_post_type($comment->comment_post_ID) == 'product') {
        $has_bought = wc_customer_bought_product(null, $comment->user_id, $comment->comment_post_ID);
    }

    $status = get_comment_meta($comment->comment_ID,AVANS_PREFIX.'score_status',true);

    if ( $new_status == 'approved' && empty($status) ) {
        if ($has_bought) {
            $score = !empty($settings['score_wc']) ? (int)$settings['score_wc'] : 1;
        } else {
            $score = !empty($settings['score']) ? (int)$settings['score'] : 1;
        }
        $score = data::get_final_action_score('comment', $comment->user_id , $score);
        if ($score > 0) {
            update_comment_meta($comment->comment_ID, AVANS_PREFIX.'score_status', true);
        }
    }

}