<?php

use Avans\actions;
use Avans\func;
use Avans\user;

if (!empty(get_user_meta($user->ID, AVANS_PREFIX.'first_login', true))) {
    return;
}

$option = array();

$score = user::add_log($user->ID, 'register');
update_user_meta($user->ID, AVANS_PREFIX.'first_login', 1);
actions::avans_send_coupon('after-register', $user->ID);

do_action('avans_after_register_user',$user,$score);

if ((int)$score > 0) {
    $option['score'] = $score;
    $unit = func::get_score_label();
    $option['text'] = 'شما بابت ثبت نام در سایت  '.$option['score']." $unit گرفتید";
    if (!empty($settings['text'])) {
        $option['text']  = str_replace("{score}", $option['score'], $settings['text']);
    }
    
    $data = array('text' => $option['text']);
    wp_localize_script("avans_score_register_script", "avs_show_alert", $data);
    wp_enqueue_script("avans_score_register_script");
}




$ref_code = get_user_meta($user->ID, AVANS_PREFIX.'register_refID', true);
if (func::is_set($_COOKIE['avans-referal-id'])) {
    $ref_code = $_COOKIE['avans-referal-id'];
}

if ((int)$ref_settings['score'] < 1  || empty($ref_code)) {
    return;
}


$referers = get_users(array('meta_key' =>  AVANS_PREFIX.'user_ref_code' , 'meta_value' => $ref_code));
$current_user_ref_code = get_user_meta($user->ID, AVANS_PREFIX.'user_ref_code', true);

if (count($referers) < 1  || $ref_code == $current_user_code_ref) {
    return;
}


foreach ($referers as $referer) {
    if (!user::is_permision_get_score('ref-register', $referer->ID)) {
        return;
    }

    $details = array(
        array(
            'key' => 'user-id',
            'value' => $user->ID
        )
    );

    user::add_log($referer->ID, 'ref-register', $details);
    $usersRefs = (array)get_user_meta($referer->ID, AVANS_PREFIX.'users_refs', true);
    array_push($usersRefs, $user->ID);
    update_user_meta($referer->ID, AVANS_PREFIX.'users_refs', $usersRefs);
    update_user_meta($user->ID, AVANS_PREFIX.'register_user_ref', $referer->ID);
    do_action('avans_after_referer_code_used_for_register', $referer, $user, $usersRefs);
}

if (!isset($_COOKIE['avans-referal-id'])) {
    $timeset = (int)AVANS_SETTINGS['referer_settings']['referer']['day_coocki'] * 86400;
    setcookie('avans-referal-id', $ref_code, (time()+$timeset), "/");
}
