<?php use Avans\data; ?>
<table class="form-table item coupon-options" >


    <tr valign="top">
        <th scope="row">نوع کد تخفیف</th>
        <td>
            <label>
                <input type="radio" name="avans_type_coupon_gift" value="percent" <?php echo (isset($data['avans_type_coupon_gift']) && $data['avans_type_coupon_gift'] == "percent" || empty($data['avans_type_coupon_gift'])) ? 'checked' : '' ?>>
                <span>درصدی</span>
            </label>
            
            <label>
                <input type="radio" name="avans_type_coupon_gift" value="static" <?php echo (isset($data['avans_type_coupon_gift']) && $data['avans_type_coupon_gift'] == "static") ? 'checked' : '' ?>>    
                <span>ثابت</span>
            </label>
        </td>
    </tr>


    <tr valign="top">
        <th scope="row">تعداد کارکتر های کدتخفیف</th>
        <td>
        <input type="number" id="number_of_charecter_coupen" name="number_of_charecter_coupen" value="<?php echo isset($data['number_of_charecter_coupen'])? $data['number_of_charecter_coupen'] : '' ?>">
            <label>کارکتر</label>
        </td>
    </tr>

    <tr valign="top">
        <th scope="row">اعتبار زمانی کد تخفیف</th>
        <td>
        <input type="number" id="expire_date_coupen" name="expire_date_coupen" value="<?php echo isset($data['expire_date_coupen'])? $data['expire_date_coupen'] : '' ?>">
        <label>روز بعد از ایجاد کد</label>
        </td>
    </tr>

    <tr valign="top">
        <th scope="row">میزان کد تخفیف</th>
        <td>
        <input type="number" id="value_percent_coupen" name="value_percent_coupen" value="<?php echo isset($data['value_percent_coupen'])? $data['value_percent_coupen'] : '' ?>">
        <label id="label_coupon_value_type"></label>
        </td>
    </tr>

    <tr valign="top">
        <th>تنظیمات پیشرفته</th>
        <td><hr></hr></td>
    </tr>

    <tr valign="top">
        <th scope="row">سقف اعمال کد تخفیف</th>
        <td>
        <input type="number" class="max_discount_coupon" name="max_discount_coupon" value="<?php echo isset($data['max_discount_coupon']) ? $data['max_discount_coupon'] : '' ?>">
        <span><?php echo Avans\data::get_payment_unit(); ?></span>
        </td>
    </tr>
    
    <tr valign="top">
        <th scope="row">پیشوند کد تخفیف</th>
        <td>
            <input type="text" class="prefix_coupen" name="prefix_coupen" value="<?php echo isset($data['prefix_coupen']) ? $data['prefix_coupen'] : '' ?>">
        </td>
    </tr>

    
    <tr valign="top">
        <th scope="row">به‌جز محصولات فروش ویژه</th>
        <td>
            <label class="switch">
                <input type="checkbox" name="exclude_sale_product" <?php echo $data['exclude_sale_product'] == 'true' ? 'checked' : '' ?> >
                <span class="slider round"></span>
                <span class="label">فعال/غیرفعال</span>
            </label>
            <p>اگر نمی خواهید کد تخفیف برای محصولات تخفیف خورده استفاده شود، این بخش را فعال کنید</p>
        </td>
    </tr>

</table>

<div class="item coupon-options">
    <div class="avans_accordion_box">
        <div class="accordion_title"><span>تعیین حداقل و حداکثر مبلغ سبد خرید برای اعمال کد</span><span class="dashicons dashicons-arrow-down-alt2"></span></div>
        <div class="accordion_wrapper">
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">حداقل مبلغ سبد خرید برای اعمال کد</th>
                    <td>
                    <input type="number" name="min_price_for_coupen" value="<?php echo isset($data['min_price_for_coupen']) ? $data['min_price_for_coupen'] : '' ?>">
                    <span><?php echo data::get_payment_unit() ?></span>
                    </td>
                </tr>

                <tr valign="top">
                    <th scope="row">حداکثر مبلغ سبد خرید برای اعمال کد</th>
                    <td>
                    <input type="number" name="max_price_for_coupen" value="<?php echo isset($data['max_price_for_coupen']) ? $data['max_price_for_coupen'] : '' ?>">
                    <span><?php echo data::get_payment_unit() ?></span>
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <div class="avans_accordion_box">
        <div class="accordion_title"><span>محدود کردن اعمال کد برای دسته بندی ها و محصولات خاص</span><span class="dashicons dashicons-arrow-down-alt2"></span></div>
        <div class="accordion_wrapper">
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">اعمال بر محصولات خاص</th>
                    <td>
                        <label class="user">
                            <select id="limited_custom_product_for_copon" name="limited_custom_product_for_copon[]" data-avans="<?php echo htmlspecialchars(json_encode($limited_custom_product_for_copon), ENT_QUOTES, 'UTF-8') ?>"  data-placeholder="جستجو در بین محصولات..." multiple="multiple"></select>
                        </label>
                    </td>
                </tr>

                <tr valign="top">
                    <th scope="row">اعمال بر دسته بندی های خاص</th>
                    <td>
                    <label class="user">
                        <select id="limited_custom_category_for_copon" name="limited_custom_category_for_copon[]" data-avans="<?php echo htmlspecialchars(json_encode($limited_custom_category_for_copon), ENT_QUOTES, 'UTF-8') ?>" data-placeholder="جستجو در بین دسته بندی ها..." multiple="multiple"></select>
                    </label>
                    </td>
                </tr>

                <tr valign="top">
                    <th scope="row">اعمال بجزء محصولات خاص</th>
                    <td>
                        <label class="user">
                            <select id="exclude_custom_product_for_copon" name="exclude_custom_product_for_copon[]" data-avans="<?php echo htmlspecialchars(json_encode($exclude_custom_product_for_copon), ENT_QUOTES, 'UTF-8') ?>"  data-placeholder="جستجو در بین محصولات..." multiple="multiple"></select>
                        </label>
                    </td>
                </tr>

                <tr valign="top">
                    <th scope="row">اعمال بجزء دسته بندی خاص</th>
                    <td>
                    <label class="user">
                        <select id="exclude_custom_category_for_copon" name="exclude_custom_category_for_copon[]" data-avans="<?php echo htmlspecialchars(json_encode($exclude_custom_category_for_copon), ENT_QUOTES, 'UTF-8') ?>" data-placeholder="جستجو در بین دسته بندی ها..." multiple="multiple"></select>
                    </label>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</div>