<?php $avs_purchase = $data['score_settings']['purchase']; ?>
<table class="form-table">
        <h3 class="title">امتیاز خرید</h3>
        <tr valign="top">
            <th scope="row">فعال بودن امتیازدهی پس از خرید</th>

            <td>
                <label class="switch">
                    <input type="checkbox" id="is_active_score_purchase" <?php echo  $avs_purchase['active'] ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>          
            </td>
        </tr>

        <tr>
            <th scope="row">مدل امتیازدهی خرید</th>
            <td>
            <select class="target" id="type_model_scoring_prurchase">
                <option value="fixed_score" <?php echo (!isset($avs_purchase['type']) || $avs_purchase['type']=='fixed_score') ? 'selected' : ''; ?> >ثابت برای هر سفارش</option>
                <option value="fixed_score_by_product" <?php echo ($avs_purchase['type']=='fixed_score_by_product') ? 'selected' : ''; ?> >ثابت برای هر محصول</option>
                <option value="custom_product_score" <?php echo ($avs_purchase['type']=='custom_product_score') ? 'selected' : ''; ?> >بر اساس امتیاز اختصاصی هر محصول</option>
                <option value="volume_purchase" <?php echo ($avs_purchase['type']=='volume_purchase') ? 'selected' : ''; ?>>بر اساس حجم خرید</option>
            </select>
            </td>
        </tr>

    </table>

    <table class="form-table score-option-purchase">
        <tr class="item" id="fixed_score">
                <th scope="row">امتیاز ثابت هر سفارش</th>
                <td>
                    <input type="number" id="value_score_purchase" name="value_score_purchase" value="<?php echo isset($avs_purchase['fix_score'])? $avs_purchase['fix_score'] : '' ?>">
                    <label>امتیاز</label>
                    <p><span class="avans-dot-fansy"></span>مثلا : 2 امتیاز</p>
                </td> 
        </tr>
        <tr class="item" id="fixed_score_by_product">
                <th scope="row">امتیاز ثابت خرید هر محصول</th>
                <td>
                    <input type="number" id="value_score_purchase_by_product" name="value_score_purchase" value="<?php echo isset($avs_purchase['fix_score_product'])? $avs_purchase['fix_score_product'] : '' ?>">
                    <label>امتیاز</label>
                    <p><span class="avans-dot-fansy"></span>مثلا : 2 امتیاز</p>
                </td> 
        </tr>
        <tr class="item" id="custom_product_score">
                <th scope="row">امتیاز به ازای امتیاز اختصاصی</th>
                <td>
                    <p><span><span class="avans-dot-fansy"></span>در صورتی که می خواهید بابت خرید هر محصول خاص ، امتیازهای اختصاصی به کاربر اهدا کنید ؛ در صفحه ویرایش هر محصول در بخش اطلاعات محصول به تب پیشرفته رفته و یک امتیاز اختصاصی برای محصول تعیین کنید</span></p>
                </td> 
        </tr>
        <tr class="item" id="volume_purchase">
                <th scope="row">امتیاز بر اساس حجم خرید</th>
                <td>
                    <span> هر </span><input type="number" id="value_price_unit_purchase" value="<?php echo isset($avs_purchase['flex_unit'])? $avs_purchase['flex_unit'] : '' ?>"><span><?php echo function_exists('get_woocommerce_currency_symbol') ? get_woocommerce_currency_symbol(get_option('woocommerce_currency')) : 'تومان' ?> خرید</span><input type="number" id="value_score_purchase_by_volume" value="<?php echo isset($avs_purchase['flex_score'])? $avs_purchase['flex_score'] : '' ?>"><span>امتیاز</span>
                    <p><span class="avans-dot-fansy"></span>مثلا :هر 10000 <?php echo function_exists('get_woocommerce_currency_symbol') ? get_woocommerce_currency_symbol(get_option('woocommerce_currency')) : 'تومان' ?> 2 امتیاز</p>
                </td> 
        </tr>
    </table>
    
    <table class="form-table">
        <tr>
                <th scope="row">حداقل خرید</th>
                <td>
                    <input type="number" id="score_minimum_price_order" value="<?php echo isset($avs_purchase['min_price'])? $avs_purchase['min_price'] : '' ?>">
                    <label>بر حسب <?php echo function_exists('get_woocommerce_currency_symbol') ? get_woocommerce_currency_symbol(get_option('woocommerce_currency')) : 'تومان' ?></label>
                    <p><span class="avans-dot-fansy"></span>اگر میزان خرید بالای این مقدار باشد امتیاز تعلق می گیرد!</p>
                </td>
        </tr>

        <tr>
            <th scope="row">وضعیت سفارش برای امتیازدهی</th>
            <td>
            <?php
            $statuses = function_exists('wc_get_order_statuses') ? wc_get_order_statuses() : [];
            $unsetStatus = array('wc-processing','wc-completed','wc-pending', 'wc-on-hold' , 'wc-cancelled' , 'wc-refunded' , 'wc-failed');
            foreach($unsetStatus as $key) {
                unset($statuses[$key]);
            }
            ?>
            <select id="order_status_for_score">
                <option value="after-purchase" <?php echo ($avs_purchase['status']=='after-purchase' || empty($avs_purchase['status'])) ? 'selected' : '' ?> >بعد از پرداخت سفارش(وضعیت در حال انجام)</option>
                <option value="after-order-compeleted" <?php echo ($avs_purchase['status']=='after-order-compeleted') ? 'selected' : '' ?> >بعد از تغییر وضعیت به تکمیل شده</option>
                <?php foreach($statuses as $key=>$status): ?>
                <option value="<?php echo $key ?>"  <?php echo ($avs_purchase['status']==$key) ? 'selected' : '' ?>  ><span>بعد از تغییر وضعیت به </span><?php echo $status ?></option>
                <?php endforeach; ?>
            </select>

            <!-- <input type="radio" name="order_status_for_score" value="after-purchase" <?php //echo ($avs_purchase['status']=='after-purchase' || empty($avs_purchase['status'])) ? 'checked' : '' ?> > 
                <label>بعد از پرداخت سفارش(وضعیت در حال انجام)</label>
                </br>
                <input type="radio" name="order_status_for_score" value="after-order-compeleted" <?php //echo ($avs_purchase['status']=='after-order-compeleted') ? 'checked' : '' ?>>
                <label>وقتی وضعیت سفارش توسط مدیر به تکمیل شده تغییر پیدا کرد.</label> -->
            </td>
        </tr>

        <tr valign="top">
            <th scope="row">متن پیام اعلان</th>
            <td>
                <input class="avs-full-input" type="text" id="text_toast_score_purchase" placeholder="تبریک شما {score} امتیاز گرفتید!" value="<?php echo isset($avs_purchase['text'])? $avs_purchase['text'] : '' ?>">
           <p><span class="avans-dot-fansy"></span>برای نمایش میزان امتیاز می توانید از کد کوتاه {score} استفاده کنید</p>
            </td>
        </tr>

  

              <tr valign="top">
            <th scope="row">محدودیت امتیاز گیری</th>
            <td>
                <input type="number" id="value_max_scorring_for_orders" value="<?php echo isset($avs_purchase['limit']['value']) ? $avs_purchase['limit']['value'] : '' ?>">
                <span>امتیاز در</span>
                <select id="unit_max_scorring_for_orders">
                    <option value="day" <?php echo $avs_purchase['limit']['unit'] == 'day' ? 'selected' : '' ?> >روز</option>
                    <option value="week" <?php echo $avs_purchase['limit']['unit'] == 'week' ? 'selected' : '' ?> >هفته</option>
                    <option value="month" <?php echo $avs_purchase['limit']['unit'] == 'month' ? 'selected' : '' ?> >ماه</option>
                    <option value="year" <?php echo $avs_purchase['limit']['unit'] == 'year' ? 'selected' : '' ?> >سال</option>
                </select>
            </td>
        </tr>

        
        <tr valign="top">
            <th scope="row">تاریخ انقضا امتیاز</th>
            <td>
                <input type="number" id="value_expire_score_for_orders" value="<?php echo isset($avs_purchase['expire']['value']) ? $avs_purchase['expire']['value'] : '' ?>">
                <select id="unit_expire_score_for_orders">
                    <option value="day" <?php echo $avs_purchase['expire']['unit'] == 'day' ? 'selected' : '' ?> >روز</option>
                    <option value="week" <?php echo $avs_purchase['expire']['unit'] == 'week' ? 'selected' : '' ?> >هفته</option>
                    <option value="month" <?php echo $avs_purchase['expire']['unit'] == 'month' ? 'selected' : '' ?> >ماه</option>
                    <option value="year" <?php echo $avs_purchase['expire']['unit'] == 'year' ? 'selected' : '' ?> >سال</option>
                </select>
                <span>بعد از دریافت امتیاز</span>
            </td>
        </tr>

        <tr valign="top" id="avans_condition_purchase">
            <th scope="row">منطق شرطی</th>
            <td>
                <?php get_conditions_saved($avs_purchase['condition']) ?>
            </td>
        </tr>

    </table>



    <br>
    <hr>



    <table class="form-table">
        <h3 class="title">تنظیمات نمایش امتیاز خرید در صفحه محصول</h3>
        <tr valign="top">
            <th scope="row">فعال بودن نمایش پیام امتیاز خرید در صفحه محصول</th>

            <td>
                <label class="switch">
                    <input type="checkbox" id="is_active_show_score_purchase_in_single_page" <?php echo (!isset($avs_purchase['single_text']['active']) || $avs_purchase['single_text']['active']) ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>          
            </td>
        </tr>

        <tr>
            <th scope="row">موقعیت نمایش پیام در صفحه محصول</th>
            <td>
            <select class="target" id="type_model_show_scoring_prurchase_in_single_page">
                <option value="0" <?php echo ($avs_purchase['single_text']['type']=='0') ? 'selected' : ''; ?> >جایگاه صفر</option>
                <option value="5" <?php echo ($avs_purchase['single_text']['type']=='5') ? 'selected' : ''; ?> >جایگاه یک</option>
                <option value="10" <?php echo ($avs_purchase['single_text']['type']=='10') ? 'selected' : ''; ?> >جایگاه دو</option>
                <option value="20" <?php echo ($avs_purchase['single_text']['type']=='20') ? 'selected' : ''; ?> >جایگاه سه</option>
                <option value="30" <?php echo ($avs_purchase['single_text']['type']=='30') ? 'selected' : ''; ?> >جایگاه چهار</option>
                <option value="40" <?php echo (!isset($avs_purchase['single_text']['type']) || $avs_purchase['single_text']['type']=='40') ? 'selected' : ''; ?> >جایگاه پنج</option>
                <option value="50" <?php echo ($avs_purchase['single_text']['type']=='50') ? 'selected' : ''; ?> >جایگاه شش</option>
                <option value="60" <?php echo ($avs_purchase['single_text']['type']=='60') ? 'selected' : ''; ?> >جایگاه هفت</option>
            </select>
            </td>
        </tr>
       
        <tr valign="top">
            <th scope="row">متن پیام </th>
            <td>
                <input class="avs-full-input" type="text" id="text_purchase_score_in_single_product" placeholder="شما با خرید این محصول {score} امتیاز کسب می کنید." value="<?php echo isset($avs_purchase['single_text']['text'])? $avs_purchase['single_text']['text'] : '' ?>">
                <p><span class="avans-dot-fansy"></span>برای نمایش میزان امتیاز می توانید از کد کوتاه {score} استفاده کنید</p>
            </td>
        </tr>

    </table>


<hr>

    <table class="form-table">
        <h3 class="title">تنظیمات پیام امتیاز سفارش در صفحه تسویه حساب</h3>
        <tr valign="top">
            <th scope="row">فعال بودن نمایش پیام امتیاز سفارش در صفحه تسویه حساب</th>

            <td>
                <label class="switch">
                    <input type="checkbox" id="is_active_show_score_purchase_in_checkout" <?php echo (!isset($avs_purchase['checkout_text']['active']) || $avs_purchase['checkout_text']['active']) ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>          
            </td>
        </tr>
       
        <tr valign="top">
            <th scope="row">متن پیام </th>
            <td>
                <input class="avs-full-input" type="text" id="text_purchase_score_in_checkout" placeholder="امتیاز دریافتی شما با تکمیل این سفارش" value="<?php echo isset($avs_purchase['checkout_text']['text'])? $avs_purchase['checkout_text']['text'] : '' ?>">
            </td>
        </tr>

    </table>