<?php 
    $avs_register = $data['score_settings']['register']; 
    $avs_ref_register = $data['score_settings']['ref-register'];
?>
<table class="form-table">
    <h3 class="title">امتیاز ثبت نام</h3>
    <tr valign="top">
        <th scope="row">فعال بودن امتیازدهی ثبت نام</th>

        <td>
            <label class="switch">
                <input type="checkbox" id="is_active_score_register" <?php echo $avs_register['active'] ? 'checked' : '' ?> >
                <span class="slider round"></span>
                <span class="label">فعال/غیرفعال</span>
            </label>   
        </td>
    </tr>

    <tr>
            <th scope="row">امتیاز به ازای ثبت نام کاربر</th>
            <td>
                <input type="number" id="value_score_register" value="<?php echo isset($avs_register['score'])? $avs_register['score'] : '' ?>">
                <label>امتیاز</label>
                <p><span class="avans-dot-fansy"></span>مثلا : 10 امتیاز</p>
            </td> 
    </tr>

    <tr valign="top">
        <th scope="row">متن پیام اعلان</th>
        <td>
            <input class="avs-full-input" type="text" id="text_toast_score_register" placeholder="تبریک شما {score} امتیاز گرفتید!" value="<?php echo isset($avs_register['text'])? $avs_register['text'] : '' ?>">
        <p><span class="avans-dot-fansy"></span>برای نمایش میزان امتیاز می توانید از کد کوتاه {score} استفاده کنید</p>
        </td>
    
    </tr>


    <tr valign="top">
        <th scope="row">تاریخ انقضا امتیاز</th>
        <td>
            <input type="number" id="value_expire_score_for_user_register" value="<?php echo isset($avs_register['expire']['value']) ? $avs_register['expire']['value'] : '' ?>">
            <select id="unit_expire_score_for_user_register">
                <option value="day" <?php echo $avs_register['expire']['unit'] == 'day' ? 'selected' : '' ?> >روز</option>
                <option value="week" <?php echo $avs_register['expire']['unit'] == 'week' ? 'selected' : '' ?> >هفته</option>
                <option value="month" <?php echo $avs_register['expire']['unit'] == 'month' ? 'selected' : '' ?> >ماه</option>
                <option value="year" <?php echo $avs_register['expire']['unit'] == 'year' ? 'selected' : '' ?> >سال</option>
            </select>
            <span>بعد از دریافت امتیاز</span>
        </td>
    </tr>
</table>
    <hr>
<table class="form-table">
    <h3 class="title">امتیاز معرف کاربر</h3>
    <tr valign="top">
        <th scope="row">فعال بودن امتیازدهی به معرف ثبت نام</th>

        <td>
            <label class="switch">
                <input type="checkbox" id="is_active_score_referer_register" <?php echo $avs_ref_register['active'] ? 'checked' : '' ?> >
                <span class="slider round"></span>
                <span class="label">فعال/غیرفعال</span>
            </label>   
        </td>
    </tr>

    <tr>
        <th scope="row">امتیاز به ازای معرفی ثبت نام کاربر</th>
        <td>
            <input type="number" id="value_score_referer_register" value="<?php echo isset($avs_ref_register['score'])? $avs_ref_register['score'] : '' ?>">
            <label>امتیاز</label>
            <p><span class="avans-dot-fansy"></span>مثلا : 10 امتیاز</p>
        </td> 
    </tr>

    <tr valign="top">
        <th scope="row">محدودیت امتیاز گیری</th>
        <td>
            <input type="number" id="value_max_scorring_for_referer_register" value="<?php echo isset($avs_ref_register['limit']['value']) ? $avs_ref_register['limit']['value'] : '' ?>">
            <span>امتیاز در</span>
            <select id="unit_max_scorring_for_referer_register">
                <option value="day" <?php echo $avs_ref_register['limit']['unit'] == 'day' ? 'selected' : '' ?> >روز</option>
                <option value="week" <?php echo $avs_ref_register['limit']['unit'] == 'week' ? 'selected' : '' ?> >هفته</option>
                <option value="month" <?php echo $avs_ref_register['limit']['unit'] == 'month' ? 'selected' : '' ?> >ماه</option>
                <option value="year" <?php echo $avs_ref_register['limit']['unit'] == 'year' ? 'selected' : '' ?> >سال</option>
            </select>
        </td>
    </tr>


    <tr valign="top">
        <th scope="row">تاریخ انقضا امتیاز</th>
        <td>
            <input type="number" id="value_expire_score_for_referer_register" value="<?php echo isset($avs_ref_register['expire']['value']) ? $avs_ref_register['expire']['value'] : '' ?>">
            <select id="unit_expire_score_for_referer_register">
                <option value="day" <?php echo $avs_ref_register['expire']['unit'] == 'day' ? 'selected' : '' ?> >روز</option>
                <option value="week" <?php echo $avs_ref_register['expire']['unit'] == 'week' ? 'selected' : '' ?> >هفته</option>
                <option value="month" <?php echo $avs_ref_register['expire']['unit'] == 'month' ? 'selected' : '' ?> >ماه</option>
                <option value="year" <?php echo $avs_ref_register['expire']['unit'] == 'year' ? 'selected' : '' ?> >سال</option>
            </select>
            <span>بعد از دریافت امتیاز</span>
        </td>
    </tr>

    <tr valign="top" id="avans_condition_referer_register">
        <th scope="row">منطق شرطی</th>
        <td>
            <?php get_conditions_saved($avs_ref_register['condition']) ?>
        </td>
    </tr>

</table>