<?php

use Avans\data;

$avs_complete_panel = $data['panel_settings']['user_complete'];
$avs_general_settings = $data['general_settings'];

?>

<table class="form-table">
        <h3>تنظیمات تکمیل پروفایل کاربری</h3>
        <tr valign="top">
            <th scope="row"> فعال بودن فیلد نام  </th>
            <td>
                <label class="switch">
                    <input type="checkbox" class="show_name" <?php echo $avs_complete_panel['show_name'] == 'true' ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>
            </td>
        </tr>
        <tr valign="top">
            <th scope="row"> فعال بودن فیلد نام خانوادگی  </th>
            <td>
                <label class="switch">
                    <input type="checkbox" class="show_last_name" <?php echo $avs_complete_panel['show_last_name'] == 'true' ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>
            </td>
        </tr>

        <tr valign="top">
            <th scope="row"> فعال بودن فیلد تاریخ تولد </th>
            <td>
                <label class="switch">
                    <input type="checkbox" class="show_birthdate" <?php echo $avs_complete_panel['show_birthdate'] == 'true' ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>
            </td>
        </tr>

        <tr valign="top">
            <th scope="row"> فعال بودن فیلد شماره موبایل </th>
            <td>
                <label class="switch">
                    <input type="checkbox" class="show_mobile" <?php echo $avs_complete_panel['show_mobile'] == 'true' ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>
            </td>
        </tr>

        <tr valign="top">
            <th scope="row"> فعال بودن فیلد ایمیل </th>
            <td>
                <label class="switch">
                    <input type="checkbox" class="show_email" <?php echo $avs_complete_panel['show_email'] == 'true' ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>
            </td>
        </tr>

         <tr valign="top">
            <th scope="row"> فعال بودن فیلد آواتار </th>
            <td>
                <label class="switch">
                    <input type="checkbox" class="show_avatar" <?php echo $avs_complete_panel['show_avatar'] == 'true' ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>
            </td>
        </tr>

</table>
<hr>
<table class="form-table">

<h3>اعتبار سنجی </h3>

    <tr valign="top">
            <th scope="row"> فعال بودن اعتبار سنجی فیلد موبایل </th>
            <td>
                <label class="switch">
                    <input type="checkbox" class="validation_mobile" <?php echo $avs_complete_panel['validation_mobile'] == 'true' ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>
            </td>
    </tr>

    <?php if(data::check_smspanel_pattern_support($avs_general_settings['sms']['service'])): ?>
        <tr valign="top">
            <th>روش تنظیم متن پیامک</th>
            <td>
                <select class="type_message">
                    <option value="pattern" <?php echo @$avs_complete_panel['sms']['type'] == 'pattern' ? 'selected' : '' ?> >پترن کد</option>
                    <option value="text"  <?php echo @$avs_complete_panel['sms']['type'] == 'text' ? 'selected' : '' ?> >متن</option>
                </select>
            </td>
        </tr>

        <tbody class="type_message_pattern">
            <tr valign="top">
                <th scope="row">پترن کد اعتبارسنجی موبایل</th>
                <td>
                    <div class="avans_wrapper_field small">
                        <input  type="text" class="pattern_code" value="<?php echo @$avs_complete_panel['sms']['pattern']  ?>">
                        <?php if(isset($avs_complete_panel['sms']['vars'])): ?>
                            <?php foreach ((array)$avs_complete_panel['sms']['vars'] as $var): ?>
                            <tr class="keys">
                                <th></th>
                                <td>
                                    <div class="sms-var">
                                        <div class="avans_wrapper_field small">
                                            <input type="text" class="avans_key_in_sms" placeholder="نام متغیر" value="<?php echo $var['key'] ?>" >
                                        </div>
                                        <span class="equal-gap"> = </span>
                                        <div class="avans_wrapper_field small">
                                            <input type="text"  class="avans_value_in_wp" value="<?php echo $var['value'] ?>" >
                                        </div>
                                        <span class="dashicons dashicons-remove remove"></span>
                                    </div>
                                </td>
                            </tr>
                            <?php endforeach; ?>
                        <?php endif; ?>
                    </div>
                </td>
            </tr>
            <tr>
                <th></th>
                <td><a class="button add_variable_sms">افزودن متغیر</a></td>
            </tr>
        </tbody>

        
        <tbody class="type_message_text" style="display: none;">
            <tr >
                <th>متن پیامک</th>
                <td>
                    <textarea class="sms_text"><?php echo $avs_complete_panel['sms']['text'] ?></textarea>
                </td>
            </tr>
        </tbody>

    <?php else: ?>
        <h3>تنظیمات پیامک کد تخفیف</h3>
        <tr>
            <th>متن پیامک</th>
            <td>
                <div class="avans_wrapper_field large">
                    <textarea class="sms_text"><?php echo $avs_complete_panel['sms']['text'] ?></textarea>
                </div>
            </td>
        </tr>
    <?php endif; ?>


    <tr>
        <th>متغیر های دردسترس</th>
        <td>
            <ul class="vars">
                <li> <span class="label">کد اعتبار سنجی</span> => <span class="value">{OTP}</span> </li>
                <li> <span class="label">نام نمایشی کاربر</span> => <span class="value">{display_name}</span> </li>
            </ul>
        </td>
    </tr>


    <tr valign="top">
            <th scope="row"> فعال بودن اعتبار سنجی فیلد ایمیل </th>
            <td>
                <label class="switch">
                    <input type="checkbox" class="validation_email" <?php echo $avs_complete_panel['validation_email'] == 'true' ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>
            </td>
    </tr>

</table>