<?php
use Avans\actions;
use Avans\data;

if(isset($_GET['gift_geted_id']) && get_current_user_id() != 0)
$result = Avans\user::get_gift_record($_GET['gift_geted_id'],get_current_user_id()) ;

if($result) : ?>
    <div class="single-getted-wrapper">
        <div class="title">
            <?php if($result->gift < 0):
                echo actions::get_coupon_sms_name_for_gift_list($result->gift);
            else:
                echo get_the_title( $result->gift );
            endif; ?>
        </div>
        <div class="meta">
            <div class="date"><?php  echo sprintf(__('دریافت شده در تاریخ %s','avans-plugin'),Avans\func::get_correct_time_database($result->create_at,'date')); ?></div>
        </div>
        <div class="content">
            <?php 
                $option = [];
                if((int)$result->gift > 0){
                    $option = (array)get_post_meta($result->gift, AVANS_PREFIX.'gift_settings', true);
                }
                $data = unserialize($result->content);
                $created_at = strtotime($result->create_at);
                if(!isset($option['avans_type_gift'])){
                    $option['avans_type_gift'] = data::get_type_gifts($result->content)['type'];
                }
                include AVANS_PATH.'templates/front/panel/content/sections/gift-results.php';
            ?>
        </div>
    </div>
<?php else: ?>
    <div class="avans-error">
        <div class="text">شما مجوز مشاهده این صفحه را ندارید!</div>
    </div>
<?php endif; ?>