<?php
if (! defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
function avans_video_shortcode_callback($atts = array())
{
    $idPostType = get_the_ID();
    wp_enqueue_style("avans_video_style");
    extract(shortcode_atts(array('id'=> '1','src' => '','poster' => '','score' => '1','delay' => '5','preload'=>'none'), $atts));
    ob_start();
    $videoId = intval($idPostType).intval(!empty($id) ? $id : 0);
    $playerid = 'avans_video_'.rand(1111, 9999); 

    if(!function_exists("is_plugin_active")) {
        include_once(ABSPATH."wp-admin/includes/plugin.php");
    }

    if (is_plugin_active("presto-player-pro/presto-player-pro.php") && class_exists("\PrestoPlayer\Pro\PrestoPlayer_Pro_Guard")) {
        include AVANS_PATH.'templates/front/parts/video-player/presto.php';
        return ob_get_clean();
    }

    include AVANS_PATH.'templates/front/parts/video-player/videojs.php';
    return ob_get_clean();
}
add_shortcode('avans-video', 'avans_video_shortcode_callback');
add_shortcode('score-video', 'avans_video_shortcode_callback');









