jQuery(document).ready(function ($) {
   
    
    $("#avans_select_user_roles_for_open_lock").select2();
    $("#avans_select_user_level_for_open_lock").select2();
    $("#avans_select_user_badges_for_open_lock").select2();

    var per_roles = [];
    jQuery.each(
      $("#avans_select_user_roles_for_open_lock").data("avans"),
      function (i, v) {
        per_roles.push(v.id);
      }
    );

    $("#avans_select_user_roles_for_open_lock")
      .val(per_roles)
      .trigger("change");

    var per_badges = [];
    jQuery.each(
      $("#avans_select_user_badges_for_open_lock").data("avans"),
      function (i, v) {
        per_badges.push(v.id);
      }
    );

    $("#avans_select_user_badges_for_open_lock")
      .val(per_badges)
    .trigger("change");
  

  $(document).on(
    "change keyup",
    "#avans_pageLock_settings_metabox input,#avans_pageLock_settings_metabox select",
    function (e) {
      avans_process_settings_post_lock();
    }
  );

  
  function avans_process_settings_post_lock() {
    var options = {};
    var badges = $("#avans_select_user_badges_for_open_lock").val();
    var roles = $("#avans_select_user_roles_for_open_lock").val();
    options.score = parseInt($("input[name=avans_pageLock_score]").val());
    options.level = $("#avans_select_user_level_for_open_lock").val();
    options.roles = roles.join();
    options.badges = badges.join();

    var shortcode = "[avans-post-lock score='"+options.score+"'    level='"+options.level+"'  roles='"+options.roles+"'   badges='"+options.badges+"'  ]محتوای شما[/avans-post-lock]";
    
    $("#avans_constructor_shortcode_lockpage").text(shortcode);

  }

});