jQuery(document).ready(function($){
  if(avs_set_qyery_admin_url){
      var arg = avs_set_qyery_admin_url;
      $('#'+arg.module).find('.avans-poppup-setting').fadeIn(200);
      if(avs_set_qyery_admin_url.type != ''){            
          $('*[data-content="avs-settings-'+avs_set_qyery_admin_url.type+'"]').addClass('active');
          $('.avs-settings-box').fadeOut(10);
          $('#avs-settings-'+avs_set_qyery_admin_url.type).fadeIn(200);
      }
  }

  jQuery.each($(".avans_coupon_events"), function () {
    var wrapper = $(this);
      product = [];
      jQuery.each(
        wrapper.find(".limited_custom_product_for_copon").data("avans"),
        function (i, v) {
          // console.log(v.id);
          var pro = {
            id: v.id,
            text: v.name,
            selected: true,
          };
          product.push(pro);
        }
      );
      custom_product_for_copon(
        product,
        wrapper.find(".limited_custom_product_for_copon")
      );

      category = [];
      jQuery.each(
        wrapper.find(".limited_custom_category_for_copon").data("avans"),
        function (i, v) {
          // console.log(v.id);
          var cat = {
            id: v.id,
            text: v.name,
            selected: true,
          };
          category.push(cat);
        }
      );
      custom_category_for_copon(
        category,
        wrapper.find(".limited_custom_category_for_copon")
    );
    
      product_exclude = [];
        jQuery.each(
          wrapper.find(".exclude_custom_product_for_copon").data("avans"),
          function (i, v) {
            // console.log(v.id);
            var pro = {
              id: v.id,
              text: v.name,
              selected: true,
            };
            product_exclude.push(pro);
          }
        );
        custom_product_for_copon(
          product_exclude,
          wrapper.find(".exclude_custom_product_for_copon")
        );

        category_exclude = [];
        jQuery.each(
          wrapper.find(".exclude_custom_category_for_copon").data("avans"),
          function (i, v) {
            // console.log(v.id);
            var cat = {
              id: v.id,
              text: v.name,
              selected: true,
            };
            category_exclude.push(cat);
          }
        );
        custom_category_for_copon(
          category_exclude,
          wrapper.find(".exclude_custom_category_for_copon")
        );
    

  });

  var per_roles = [];
  jQuery.each(
    $(".avans_search_rol_select").data("avans"),
    function (i, v) {
      per_roles.push(v.id);
    }
  );
  // console.log(per_roles);

    $(".avans-pick-score-icon").click(function () {
    var image = wp
      .media({
        title: "انتخاب آیکون امتیاز",
        multiple: false,
        button: {
          text: "انتخاب آیکون",
        },
        library: {
          type: ["image"],
        },
      })
      .open()
      .on("select", function (e) {
        var uploaded_image = image.state().get("selection").first();
        var image_url = uploaded_image.toJSON().url;
        $("#value-score-icon").val(image_url);
      });
    });
  
 
  $(".avans-pick-sound-notifer").click(function () {
    var image = wp
      .media({
        title: "انتخاب صدای نوتیفیکیشن",
        multiple: false,
        button: {
          text: "انتخاب صدا",
        },
        library: {
          type: ["audio"],
        },
      })
      .open()
      .on("select", function (e) {
        var uploaded_image = image.state().get("selection").first();
        var image_url = uploaded_image.toJSON().url;
        $("#value-sound-notifer").val(image_url);
      });
  });

  $(".avans-pick-icon-notifer").click(function () {
    var image = wp
      .media({
        title: "انتخاب آیکون نوتیفیکیشن",
        multiple: false,
        button: {
          text: "انتخاب آیکون",
        },
        library: {
          type: ["image"],
        },
      })
      .open()
      .on("select", function (e) {
        var uploaded_image = image.state().get("selection").first();
        var image_url = uploaded_image.toJSON().url;
        $("#value-icon-notifer").val(image_url);
      });
  });



  var per_users = [];
  jQuery.each(
    $(".avans_search_user_select").data("avans"),
    function (i, v) {
      // console.log(v.id);
      var pro = {
        id: v.id,
        text: v.name,
        selected: true,
      };
      per_users.push(pro);
    }
  );
  // console.log(per_users);
  custom_users_for_action(per_users, $(".avans_search_user_select"));

   $(".avans_search_rol_select").val(per_roles).trigger("change");
   $(".avans_search_rol_select").select2();

  custom_category_for_copon(undefined, $(".limited_custom_category_for_copon"));
  custom_product_for_copon(undefined, $(".limited_custom_product_for_copon"));
  custom_category_for_copon(undefined, $(".exclude_custom_category_for_copon"));
  custom_product_for_copon(undefined, $(".exclude_custom_product_for_copon"));
  // console.log(per_roles);

  function custom_category_for_copon(custom_limit, elem) {
      elem.select2({
        data: custom_limit != undefined ? custom_limit : "",
        ajax: {
          url: avs_set_qyery_admin_url.ajax_url, // AJAX URL is predefined in WordPress admin
          dataType: "json",
          delay: 250,
          data: function (params) {
            return {
              q: params.term,
              action: "avans_serach_category",
            };
          },
          processResults: function (data) {
            var options = [];
            if (data) {
              // data is the array of arrays, and each of them contains ID and the Label of the option
              $.each(data, function (index, text) {
                // do not forget that "index" is just auto incremented value
                options.push({ id: text[0], text: text[1] });
              });
            }
            return {
              results: options,
            };
          },
          cache: true,
        },
        minimumInputLength: 3,
        language: {
          inputTooShort: function () {
            return "حداقل سه حرف اول نام دسته بندی را وارد نمایید...";
          },
          searching: function () {
            return "در حال جستجو...";
          },
        },
      });
  }
  function custom_product_for_copon(custom_limit, elem) {
        elem.select2({
          data: custom_limit != undefined ? custom_limit : "",
          ajax: {
            url: avs_set_qyery_admin_url.ajax_url, // AJAX URL is predefined in WordPress admin
            dataType: "json",
            delay: 250,
            data: function (params) {
              return {
                q: params.term,
                action: "avans_serach_product",
              };
            },
            processResults: function (data) {
              var options = [];
              if (data) {
                // data is the array of arrays, and each of them contains ID and the Label of the option
                $.each(data, function (index, text) {
                  // do not forget that "index" is just auto incremented value
                  options.push({ id: text[0], text: text[1] });
                });
              }
              return {
                results: options,
              };
            },
            cache: true,
          },
          minimumInputLength: 3,
          language: {
            inputTooShort: function () {
              return "حداقل سه حرف اول نام محصول را وارد نمایید...";
            },
            searching: function () {
              return "در حال جستجو...";
            },
          },
        });
  }
  function custom_users_for_action(custom_limit, elem) {
    elem.select2({
      data: custom_limit != undefined ? custom_limit : "",
      ajax: {
        url: avs_set_qyery_admin_url.ajax_url, // AJAX URL is predefined in WordPress admin
        dataType: "json",
        delay: 250,
        data: function (params) {
          return {
            q: params.term,
            action: "avans_search_in_users",
          };
        },
        processResults: function (data) {
          var options = [];
          if (data) {
            // data is the array of arrays, and each of them contains ID and the Label of the option
            $.each(data, function (index, text) {
              // do not forget that "index" is just auto incremented value
              options.push({ id: text[0], text: text[1] });
            });
          }
          return {
            results: options,
          };
        },
        cache: true,
      },
      minimumInputLength: 3,
      language: {
        inputTooShort: function () {
          return "حداقل سه حرف اول نام کاربر را وارد نمایید...";
        },
        searching: function () {
          return "در حال جستجو...";
        },
      },
    });
  }
  var htmlvarsms = '<div class="sms-var"><div class="avans_wrapper_field small"><input type="text" class="avans_key_in_sms" placeholder="نام متغیر"></div><span class="equal-gap"> = </span><div class="avans_wrapper_field small"><input type="text" value="" class="avans_value_in_wp"></div><span class="dashicons dashicons-remove remove"></span></div>'
  $("#score_select_sms_type").select2();
  $(document).on("click", ".add_variable_sms", function () {
    $(this)
      .closest("tr")
      .before('<tr class="keys"><th></th><td>' + htmlvarsms + "</td></tr>");
    $(this).closest("table").find(".keys .value").select2();
  });

  $(document).on("click", ".avans-flex-item .keys .remove", function () {
    $(this).closest("tr").remove();
  });
  
  


});