jQuery(document).ready(function ($) {
  var typeGift = $(".avans_type_gift").val();
  var options = "#" + typeGift + "-options";
  $(options).addClass("select");
  $(".options .select").show(100);
  $(".options .item").not(".select").hide(100);
  $(".avans_type_gift").change(function () {
    var typeGift = $(".avans_type_gift").val();
    var options = "#" + typeGift + "-options";
    $(".options .select").hide(100);
    $(".options .item").removeClass("select");
    $(options).addClass("select");
    $(".options .select").show(100);
  });
  
  // $("#download_file_link_for_gift").val(JSON.stringify(data.files));


  $(".avans_type_coupon_gift").change(function () {
    if ($(".avans_type_coupon_gift").val() == "percent") {
      $(this).closest('.slice').find(".label_coupon_value_type").text("درصدی");
    } else {
      $(this).closest(".slice").find(".label_coupon_value_type").text("واحد پرداخت");
    }
  });

  function loadselect2() {
    $(".avans_type_gift").select2();
    product_for_gift(undefined, $(".select_product_for_gift"));
    custom_category_for_copon(undefined, $(".limited_custom_category_for_copon"));
    custom_category_for_copon(undefined, $(".exclude_custom_category_for_copon"));
    custom_product_for_copon(undefined, $(".limited_custom_product_for_copon"));
    custom_product_for_copon(undefined, $(".exclude_custom_product_for_copon"));
  }

  function product_for_gift(custom_limit, elem) {
    elem.select2({
      data: custom_limit != undefined ? custom_limit : "",
      ajax: {
        url: data.ajax_url, // AJAX URL is predefined in WordPress admin
        dataType: "json",
        delay: 250,
        data: function (params) {
          return {
            q: params.term,
            action: "avans_serach_product",
          };
        },
        processResults: function (data) {
          var options = [];
          if (data) {
            // data is the array of arrays, and each of them contains ID and the Label of the option
            $.each(data, function (index, text) {
              // do not forget that "index" is just auto incremented value
              options.push({ id: text[0], text: text[1] });
            });
          }
          return {
            results: options,
          };
        },
        cache: true,
      },
      minimumInputLength: 3,
      language: {
        inputTooShort: function () {
          return "حداقل سه حرف اول نام محصول را وارد نمایید...";
        },
        searching: function () {
          return "در حال جستجو...";
        },
      },
    });
  }
  function custom_category_for_copon(custom_limit, elem) {
    elem.select2({
      data: custom_limit != undefined ? custom_limit : '',
      ajax: {
        url: data.ajax_url, // AJAX URL is predefined in WordPress admin
        dataType: "json",
        delay: 250,
        data: function (params) {
          return {
            q: params.term,
            action: "avans_serach_category",
          };
        },
        processResults: function (data) {
          var options = [];
          if (data) {
            // data is the array of arrays, and each of them contains ID and the Label of the option
            $.each(data, function (index, text) {
              // do not forget that "index" is just auto incremented value
              options.push({ id: text[0], text: text[1] });
            });
          }
          return {
            results: options,
          };
        },
        cache: true,
      },
      minimumInputLength: 3,
      language: {
        inputTooShort: function () {
          return "حداقل سه حرف اول نام دسته بندی را وارد نمایید...";
        },
        searching: function () {
          return "در حال جستجو...";
        },
      },
    });
  }
  function custom_product_for_copon(custom_limit, elem) {
    elem.select2({
      data: custom_limit != undefined ? custom_limit : "",
      ajax: {
        url: data.ajax_url, // AJAX URL is predefined in WordPress admin
        dataType: "json",
        delay: 250,
        data: function (params) {
          return {
            q: params.term,
            action: "avans_serach_product",
          };
        },
        processResults: function (data) {
          var options = [];
          if (data) {
            // data is the array of arrays, and each of them contains ID and the Label of the option
            $.each(data, function (index, text) {
              // do not forget that "index" is just auto incremented value
              options.push({ id: text[0], text: text[1] });
            });
          }
          return {
            results: options,
          };
        },
        cache: true,
      },
      minimumInputLength: 3,
      language: {
        inputTooShort: function () {
          return "حداقل سه حرف اول نام محصول را وارد نمایید...";
        },
        searching: function () {
          return "در حال جستجو...";
        },
      },
    });
  }

  loadselect2();

  $(".slice_list .slice").each(function (index) {
    switch ($(this).find(".avans_type_gift").val()) {
      case "coupon":
        product = [];
        jQuery.each(
          $(this).find(".limited_custom_product_for_copon").data("avans"),
          function (i, v) {
            // console.log(v.id);
            var pro = {
              id: v.id,
              text: v.name,
              selected: true,
            };
            product.push(pro);
          }
        );
        custom_product_for_copon(product, $(this).find(".limited_custom_product_for_copon"));
        category = [];
        jQuery.each(
          $(this).find(".limited_custom_category_for_copon").data("avans"),
          function (i, v) {
            // console.log(v.id);
            var cat = {
              id: v.id,
              text: v.name,
              selected: true,
            };
            category.push(cat);
          }
        );
        custom_category_for_copon(category, $(this).find(".limited_custom_category_for_copon"));

        product = [];
        jQuery.each(
          $(this).find(".exclude_custom_product_for_copon").data("avans"),
          function (i, v) {
            // console.log(v.id);
            var pro = {
              id: v.id,
              text: v.name,
              selected: true,
            };
            product.push(pro);
          }
        );
        custom_product_for_copon(product, $(this).find(".exclude_custom_product_for_copon"));
        category = [];
        jQuery.each(
          $(this).find(".exclude_custom_category_for_copon").data("avans"),
          function (i, v) {
            // console.log(v.id);
            var cat = {
              id: v.id,
              text: v.name,
              selected: true,
            };
            category.push(cat);
          }
        );
        custom_category_for_copon(category, $(this).find(".exclude_custom_category_for_copon"));

        break;
      case "product":
        product = [];
        jQuery.each(
          $(this).find(".select_product_for_gift").data("avans"),
          function (i, v) {
            // console.log(v.id);
            var pro = {
              id: v.id,
              text: v.name,
              selected: true,
            };
            product.push(pro);
          }
        );
        product_for_gift(product, $(this).find(".select_product_for_gift"));
        break;
    }
    if ($(this).find(".avans_type_coupon_gift").val() == "percent") {
      $(this).find(".label_coupon_value_type").text("درصدی");
    } else {
      $(this).find(".label_coupon_value_type").text("واحد پرداخت");
    }
  });

  $(".settings_slice_wrapper").each(function (index) {
    $(this).slideToggle(300);
  });

  $(document).on("click", "#avans_add_url_file_gifts", function (e) {
    e.preventDefault();
    $(this).before(
      '<div class="files"><input type="text" class="download_file_name" value="" placeholder="عنوان فایل را وارد نمایید..."><input type="text" class="download_file_link" value="" placeholder="آدرس فایل را وارد نمایید..."><button class="file_picker">انتخاب فایل</button><div class="operation"><span class="dashicons dashicons-plus-alt2"></span><span class="dashicons dashicons-minus"></span></div></div>'
    );
  });

  $(document).on(
    "click",
    "table#file-options .files .operation .dashicons-plus-alt2",
    function (e) {
      e.preventDefault();
      $(this)
        .closest(".files")
        .after(
          '<div class="files"><input type="text" class="download_file_name" value="" placeholder="عنوان فایل را وارد نمایید..."><input type="text" class="download_file_link" value="" placeholder="آدرس فایل را وارد نمایید..."><button class="file_picker">انتخاب فایل</button><div class="operation"><span class="dashicons dashicons-plus-alt2"></span><span class="dashicons dashicons-minus"></span></div></div>'
        );
      // $(".download_file_link_for_gift").val(
      //   JSON.stringify(get_list_files())
      // );
    }
  );



  $(document).on(
    "click",
    "table#file-options .files .operation .dashicons-minus",
    function (e) {
      e.preventDefault();
      $(this).closest(".files").remove();
      // $(".download_file_link_for_gift").val(
      //   JSON.stringify(get_list_files())
      // );
    }
  );

  $(document).on("click", ".slice_list .file_picker", function (event) {
    var frame;
    var file_link_input = $(this).closest(".files").find(".download_file_link");
    event.preventDefault();

    if (frame) {
      frame.open();
      return;
    }

    frame = wp.media({
      title: "فایل مورد نظر را انتخاب نمایید.",
      button: {
        text: "انتخاب فایل هدیه",
      },
      multiple: false,
    });

    frame.on("select", function () {
      var attachment = frame.state().get("selection").first().toJSON();
      // console.log(attachment.url);
      file_link_input.val(attachment.url);
      // $(".download_file_link_for_gift").val(
      //   JSON.stringify(get_list_files())
      // );
      // imgIdInput.val(attachment.id);
    });

    frame.open();
  });


  var sliceHtml =
    '<div class="slice">' +
    '<div class="header">' +
    '<div class="operation"><span class="dashicons dashicons-plus-alt2 add"></span><span class="dashicons dashicons-minus remove"></span></div>' +
    '<div class="title_chance">بدون عنوان</div> ' +
    '<span class="dashicons dashicons-arrow-up-alt2 collapse"></span>' +
    "</div>" +
    '<div class="settings_slice_wrapper">' +
    '<div class="row-1"> ' +
    '<div class="label"><div class="title">نوع</div><select class="avans_type_gift" class="type"><option value="coupon">کد تخفیف یکبارمصرف</option><option value="product">محصول</option><option value="file">فایل</option><option value="score" selected>امتیاز</option><option value="zero" selected>پوچ</option></select></div>' +
    '<div class="label"><div class="title">عنوان</div><input class="title_chance" type="text" placeholder="عنوان"></div>' +
    '<div class="label"><div class="title">تعداد موجودی</div><input class="stock_chance" type="number" placeholder="موجودی"></div>' +
    '<div class="label"><div class="title">احتمال (درصد)</div><input class="possiblity_chance" type="number" placeholder="احتمال"></div>' +
    '<div class="label"><div class="title">رنگ پس زمینه بخش</div><input  type="text" class="background_slice" type="text" placeholder="#aaa"></div>' +
    '<div class="label"><div class="title">رنگ متن بخش</div><input type="text" class="color_text_slice" placeholder="#eee"></div>' +
    "</div></div></div>";
  
  $(".settings_slice_wrapper .background_slice").wpColorPicker();
  $(".settings_slice_wrapper .color_text_slice").wpColorPicker();

  $(document).on("click", "#add_slice_to_spin_wheel", function (e) {
      e.preventDefault();
      $(this).closest(".settings").find(".slice_list").append(sliceHtml);
      $(".settings_slice_wrapper .background_slice").wpColorPicker();
      $(".settings_slice_wrapper .color_text_slice").wpColorPicker();
  });

  $(document).on("change", ".avans_type_gift", function (e) {
    e.preventDefault();
    // console.log()
    var html;
    switch ($(this).val()) {
      case 'coupon':
        html = `<table class="form-table item" id="coupon-options">
                  <tr valign="top">
                      <th scope="row">نوع کد تخفیف</th>
                      <td>
                          <select class="avans_type_coupon_gift">
                              <option value="percent" >درصدی</option>
                              <option value="static"  >ثابت</option>
                          </select>
                      </td>
                  </tr>
                  <tr valign="top">
                      <th scope="row">تعداد کارکتر های کدتخفیف</th>
                      <td>
                      <input type="number" class="number_of_charecter_coupen">
                          <label>کارکتر</label>
                      </td>
                  </tr>
                  <tr valign="top">
                      <th scope="row">اعتبار زمانی کد تخفیف</th>
                      <td>
                      <input type="number" class="expire_date_coupen" >
                      <label>روز بعد از ایجاد کد</label>
                      </td>
                  </tr>
                  <tr valign="top">
                      <th scope="row">میزان کد تخفیف</th>
                      <td>
                          <input type="number" class="value_percent_coupen" >
                          <label class="label_coupon_value_type"></label>
                      </td>
                  </tr>
                  <tr valign="top">
                      <th>تنظیمات پیشرفته</th>
                      <td><hr></hr></td>
                  </tr>
                  <tr valign="top">
                      <th scope="row">سقف اعمال کد تخفیف</th>
                      <td>
                      <input type="number" class="max_discount_coupon" name="max_discount_coupon" >
                      <span></span>
                      </td>
                  </tr>
                  <tr valign="top">
                      <th scope="row">پیشوند کد تخفیف</th>
                      <td>
                          <input type="text" class="prefix_coupen" name="prefix_coupen">
                      </td>
                  </tr>
                  <tr valign="top">
                      <th scope="row">به‌جز محصولات فروش ویژه</th>
                      <td>
                          <label class="switchi">
                              <input type="checkbox" name="exclude_sale_product" >
                              <span class="slideri roundi"></span>
                              <span class="label">فعال/غیرفعال</span>
                          </label>
                          <p>اگر نمی خواهید کد تخفیف برای محصولات تخفیف خورده استفاده شود، این بخش را فعال کنید</p>
                      </td>
                  </tr>
              </table>

              <div class="item coupon-options">
                  <div class="avans_accordion_box">
                      <div class="accordion_title"><span>تعیین حداقل و حداکثر مبلغ سبد خرید برای اعمال کد</span><span class="dashicons dashicons-arrow-down-alt2"></span></div>
                      <div class="accordion_wrapper">
                          <table class="form-table">
                              <tr valign="top">
                                  <th scope="row">حداقل مبلغ سبد خرید برای اعمال کد</th>
                                  <td>
                                  <input type="number" name="min_price_for_coupen" >
                                  <span></span>
                                  </td>
                              </tr>
                              <tr valign="top">
                                  <th scope="row">حداکثر مبلغ سبد خرید برای اعمال کد</th>
                                  <td>
                                  <input type="number" name="max_price_for_coupen" >
                                  <span></span>
                                  </td>
                              </tr>
                          </table>
                      </div>
                  </div>
                  <div class="avans_accordion_box">
                      <div class="accordion_title"><span>محدود کردن اعمال کد برای دسته بندی ها و محصولات خاص</span><span class="dashicons dashicons-arrow-down-alt2"></span></div>
                      <div class="accordion_wrapper">
                          <table class="form-table">
                              <tr valign="top">
                                  <th scope="row">اعمال بر محصولات خاص</th>
                                  <td>
                                      <label class="user">
                                          <select class="limited_custom_product_for_copon" name="limited_custom_product_for_copon[]"  data-placeholder="جستجو در بین محصولات..." multiple="multiple"></select>
                                      </label>
                                  </td>
                              </tr>
                              <tr valign="top">
                                  <th scope="row">اعمال بر دسته بندی های خاص</th>
                                  <td>
                                  <label class="user">
                                      <select class="limited_custom_category_for_copon" name="limited_custom_category_for_copon[]"  data-placeholder="جستجو در بین دسته بندی ها..." multiple="multiple"></select>
                                  </label>
                                  </td>
                              </tr>
                              <tr valign="top">
                                  <th scope="row">اعمال بجزء محصولات خاص</th>
                                  <td>
                                      <label class="user">
                                          <select class="exclude_custom_product_for_copon" name="exclude_custom_product_for_copon[]"   data-placeholder="جستجو در بین محصولات..." multiple="multiple"></select>
                                      </label>
                                  </td>
                              </tr>
                              <tr valign="top">
                                  <th scope="row">اعمال بجزء دسته بندی خاص</th>
                                  <td>
                                  <label class="user">
                                      <select class="exclude_custom_category_for_copon" name="exclude_custom_category_for_copon[]" data-placeholder="جستجو در بین دسته بندی ها..." multiple="multiple"></select>
                                  </label>
                                  </td>
                              </tr>
                          </table>
                      </div>
                  </div>
              </div>`;
      break ;
      case 'file':
        html = '<table class="form-table item" id="file-options">' +
          '<tr valign="top">' +
              '<th scope="row">لینک دانلود فایل</th>' +
              '<td>' + 
                  '<input type="hidden" name="download_file_link_for_gift" class="download_file_link_for_gift">' + 
                  '<button id="avans_add_url_file_gifts"><span class="dashicons dashicons-plus-alt"></span><span>افزودن فایل</span></button>' +
              '</td>' +
          '</tr>' +
      '</table>';
      break;
      case 'product':
        html = '<table class="form-table item" id="product-options">' +
          '<tr valign="top">' + 
              '<th scope="row">انتخاب محصولات</th>' + 
              '<td>' + 
              '<label class="user">' +
                  '<select class="select_product_for_gift" name="select_product_for_gift[]" data-placeholder="جستجو در بین محصولات..." multiple="multiple" ></select>' + 
              '</label>' +
              '</td>' +
          '</tr>' +
      '</table>';
      break;
      case 'score':
        html = '<table class="form-table item" id="score-options">' +
          '<tr valign="top">' +
                    '<th scope="row">میزان امتیاز</th>'+
                    '<td>' +
                        '<input type="number" id="value_score_for_prize" >' +
                        '<label>امتیاز</label>' +
                    '</td>' +
          '</tr>' +
         ' <tr valign="top">' +
              '<th scope="row">تاریخ انقضا امتیاز</th>' + 
              '<td>' +
                  '<input type="number" id="value_expire_score_for_prize">' +
                  '<select id="unit_expire_score_for_prize">' +
                      '<option value="day"  >روز</option>' +
                      '<option value="week"  >هفته</option>' +
                      '<option value="month" >ماه</option>' +
                      '<option value="year" >سال</option>' +
                  '</select>' +
                  '<span>بعد از دریافت امتیاز</span>' +
              '</td>' +
          '</tr>' +
          '</table>';
      break;
    }
    $(this).closest(".slice .settings_slice_wrapper").find(".item").remove();
    $(this).closest(".slice .settings_slice_wrapper").append(html);
    loadselect2();
  });

  $(document).on('click', '.slice .operation .remove', function (e) {
    $(this).closest(".slice").remove();
    e.stopPropagation();
  });
  
  $(document).on("click", ".slice .operation .add", function (e) {
    $(this).closest(".slice").before(sliceHtml);
    e.stopPropagation();
  });

  $(document).on("click", ".slice>.header", function (e) {
    $(this).closest(".slice").find(".settings_slice_wrapper").slideToggle(300);
  });

  $(document).on(
    "keyup change",
    ".settings_slice_wrapper .title_chance",
    function (e) {
      $(this).closest(".slice").find(".header>.title_chance").text($(this).val());
      // console.log(get_list_slice());
    }
  );

  $(document).one("click", "div#major-publishing-actions #publish", function (e) {
    e.preventDefault();
    $("#avans_spin_wheel_settings_all").val(JSON.stringify(get_list_slice()));
    // console.log(JSON.stringify(get_list_slice()));
    $(this).trigger("click");
  });

  $(document).on(
    "change",".is_active_free_spin",
    function () {
      if (this.checked) {
        $(".free_in_durationtime_time").show();
      } else {
        $(".free_in_durationtime_time").hide();
      }
    }
  );

$(document).on("keyup", ".avans_spin_wheel_count_use", function () {
  var type = $(this).val();
  $(".description_duration_method .repaet").text(type);
});
  
$(document).on("keyup", ".avans_spin_wheel_duration_value", function () {
  var type = $(this).val();
  $(".description_duration_method .value").text(type);
});
  
  $(document).on("change", ".avans_spin_wheel_duration_unit", function () {
    var type = $(this).val();
    var text = "";
    switch (type) {
      case "hour":
        text = "ساعت";
        break;
      case "day":
        text = "روز";
        break;
      case "week":
        text = "هفته";
        break;
      case "month":
        text = "ماه";
        break;
      case "year":
        text = "سال";
        break;
    }
    $(".description_duration_method .unit").text(text);
  });


  function get_list_slice() {
    var slices = [];
    $(".slice_list .slice").each(function (index) {
      var slice = {
        index: index,
        type: $(this).find(".avans_type_gift").val(),
        title: $(this).find("input.title_chance").val(),
        stock: $(this).find(".stock_chance").val(),
        possibility: $(this).find(".possiblity_chance").val(),
        background: $(this).find(".background_slice").val(),
        color: $(this).find(".color_text_slice").val(),
      };
      switch (slice.type) {
        case "coupon":
          slice.type_coupon = $(this).find(".avans_type_coupon_gift").val();
          slice.char_coupon = $(this).find(".number_of_charecter_coupen").val();
          slice.expire_coupon = $(this).find(".expire_date_coupen").val();
          slice.coupon_value = $(this).find(".value_percent_coupen").val();
          slice.max_discount = $(this).find(".max_discount_coupon").val();
          slice.prefix = $(this).find(".prefix_coupen").val();
          slice.exclude_sale_product = $(this).find(".exclude_sale_product").is(":checked");
          slice.min_price =  $(this).find(".min_price_for_coupen").val();
          slice.max_price =  $(this).find(".max_price_for_coupen").val();
          slice.limit_products = $(this)
            .find(".limited_custom_product_for_copon")
            .val();
          slice.exclude_products = $(this)
            .find(".exclude_custom_product_for_copon")
            .val();
          slice.limit_categorys = $(this)
            .find(".limited_custom_category_for_copon")
            .val();
          slice.exclude_categorys = $(this)
            .find(".exclude_custom_category_for_copon")
            .val();
          break;
        case "file":
          slice.files = get_list_files($(this));
          break;
        case "product":
          slice.product = $(this).find(".select_product_for_gift").val();
          slice.shipping_info = $(this).find(".avans_get_shipping_info").is(":checked") ? 'yes' : 'no';
          break;
        case "score":
          slice.score = {
            score: $(this).find("#value_score_for_prize").val(),
            score_expire: {
              value : $(this).find("#value_expire_score_for_prize").val(),
              unit: $(this).find("#unit_expire_score_for_prize").val(),
            }
          };
        break;
        case "zero":
          break;
      }
      slices.push(slice);
    });
    return slices;
  };

  function get_list_files(el) {
      var files = [];
      el.find(".files").each(function (index) {
        var file = {
          index: index,
          name: $(this).find(".download_file_name").val(),
          url: $(this).find(".download_file_link").val(),
        };
        files.push(file);
      });
      return files;
  }


});