var avans_in_play_video = false;
jQuery(document).ready(function ($) {
  wp.hooks.addAction("presto.playerPlay", "avans_prvideo_check", function (vid) {
    if (avans_in_play_video != false) {
      avans_in_play_video.pause();
    }
    avans_in_play_video = vid;
  });
  wp.hooks.addAction("presto.playerPause", "avans_prvideo_check", function (vid) {
    if (avans_in_play_video != false && avans_in_play_video.id == vid.id) {
      avans_in_play_video = false;
    }
  });
});

function presto_player_score(obj) {
  var intervalscore;
  var timecounter;
  var isstart = false;
  var startTime = 0;

  wp.hooks.addAction("presto.playerPause", "avans_prvideo_score", function (pid) {
    if (pid.config.id == obj.presto_vid) {
      var isstart = false;
      clearInterval(intervalscore);
      timecounter = setInterval(() => {
        startTime++;
      }, 1000);
    }
  });

  wp.hooks.addAction("presto.playerPlay", "avans_prvideo_score", function (pid) {
    if (pid.config.id == obj.presto_vid) {
      if (startTime == 0) {
        startTime = new Date() / 1000;
      }
      clearInterval(timecounter);
      intervalscore = setInterval(add_score, 1000, pid);
      isstart = true;
    }
  });

  function add_score(vid) {
    var delay = parseInt(obj.delay);
    if (delay == 0) {
      delay = vid.duration - 5;
    }
    var newtime = new Date() / 1000;
    var currentTime = vid.currentTime;
    var duration_visit = newtime - startTime;
    if (
      currentTime >= delay &&
      currentTime < delay + 1 &&
      duration_visit >= currentTime
    ) {
      clearInterval(intervalscore);
      jQuery.ajax({
        url: obj.ajx_url,
        dataType: "json",
        type: "post",
        data: {
          action: "avs_add_score_view_player",
          score: obj.score,
          object_id: obj.object_id,
          post_id: obj.post_id,
          player_id: obj.id,
          type: obj.type
        },
        success: function (data) {
          if (data.success) {
            avansToast(obj.text);
          }
        },
      });
      return;
    }
  }
}



