<?php

use Avans\actions;
use Avans\func;
use Avans\user;

if (! defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

foreach ($users as $user) {
    $birthday = get_user_meta($user->ID, AVANS_PREFIX.'birthdate', true);
    $birthday_gettd = (array)get_user_meta($user->ID, AVANS_PREFIX.'birthdate_getted', true);
    if (!empty($birthday)) {
        $birthday_exp = explode('-', $birthday);
        if (!in_array(date("Y", time()),$birthday_gettd) && (int)date("m", time()) == (int)$birthday_exp[1] && (int)date("d", time()) == (int)$birthday_exp[2]) {
            user::add_log($user->ID,'birthday');
            actions::avans_send_coupon('after-birthday',$user->ID);
            update_user_meta($user->ID, AVANS_PREFIX.'birthday_gift_getted',true);
            array_push($birthday_gettd,date("Y", time()));
            update_user_meta($user->ID, AVANS_PREFIX.'birthdate_getted', $birthday_gettd);
            do_action('avans_birthday_user',$user);
        }
    }
}