<?php

use Avans\actions;
use Avans\func;
use Avans\user;

if (! defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

foreach ($users as $user) {
    $registerd_date_gettd = (array)get_user_meta($user->ID, AVANS_PREFIX.'registerdate_getted', true);

    if (!in_array(date("Y", time()), $registerd_date_gettd) &&
        date("m", strtotime($user->user_registered)) === date("m", time()) &&
        date("d", strtotime($user->user_registered)) === date("d", time()) &&
        date("Y-m-d", strtotime($user->user_registered)) !== date("Y-m-d", time())) {
        user::add_log($user->ID, 'registerday');
        array_push($registerd_date_gettd, date("Y", time()));
        update_user_meta($user->ID, AVANS_PREFIX.'registerdate_getted', $registerd_date_gettd);
        actions::avans_send_coupon('after-registerday', $user->ID);
        do_action('avans_after_anniversary_membership',$user);
    }

}
