<?php

use Avans\actions;
use Avans\func;
use Avans\user;

if ($user) {
    
    $phone = $order->get_billing_phone();

    $total_orders = user::get_total_orders_price($user->ID);
    
    $min_orders = (int)$coupon['min_orders'];
    $min_price = (int)$coupon['min_price'];

    if ($coupon['repeat'] =='always'):
            update_user_meta($user->ID, AVANS_PREFIX.'is_user_use_coupen', '');
    endif;

    $use_coupen = get_user_meta($user->ID, AVANS_PREFIX.'is_user_use_coupen', true);

    if ($price >= $min_price && $total_orders >= $min_orders && empty($use_coupen) && func::is_set($phone)) {
        update_user_meta($user->ID, AVANS_PREFIX.'is_user_use_coupen', true);
        actions::avans_send_coupon('after-order',$user->ID,$order);
    }

}

