<?php $avs_referer = $data['referer_settings']['referer'];  ?>
<table class="form-table">
        <h3 class="title">تنظیمات کد معرف</h3>
        <tr valign="top">
            <th scope="row">فعال بودن کد و لینک معرف</th>
            <td>
                <label class="switch">
                    <input type="checkbox" id="is_active_score_referal_code" <?php echo $avs_referer['active'] ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>          
            </td>
        </tr>


        <tr valign="top">
            <th scope="row">فرمت کد معرف</th>
            <td>
                <label>
                    <input type="radio" name="format_code_referal" value="auto" <?php echo ($avs_referer['format']=='auto' || empty($avs_referer['format'])) ? 'checked' : '' ?> > 
                    <span>به انتخاب سیستم</span>
                </label>  
                <label>
                    <input type="radio" name="format_code_referal" value="custom" <?php echo ($avs_referer['format']=='custom') ? 'checked' : '' ?>>    
                    <span>فرمت دلخواه</span>
                </label>
            </td>
        </tr>

        <tr id="formats_code_option" style="display:none">
            <th></th>
            <td>
                <label>
                    <input name="suffix_format_code_referal" id="suffix_format_code_referal" style="width: 100px;text-align: center;direction: ltr;" type="text" placeholder="پسوند"  value="<?php echo isset($avs_referer['format_suffix'])? $avs_referer['format_suffix'] : '' ?>">
                    <span> + بخش اجباری (حرف انگلیسی + شناسه کاربر + حرف انگلیسی) + </span>
                </label>
                <label>
                    <input name="prefix_format_code_referal" id="prefix_format_code_referal" style="width: 100px;text-align: center;direction: ltr;" type="text" placeholder="پیشوند"  value="<?php echo isset($avs_referer['format_prefix'])? $avs_referer['format_prefix'] : '' ?>"> 
                    <p>مهم : در نظر داشته باشید مقدار پیشوند و پسوند فقط می تواند از بین اعداد و حروف انگلیسی و خط فاصله یا آندرلاین باشد</p>
                </label>
            </td>
        </tr>

        <tr>
            <th></th>
            <td>
                <p class="avans_setting_note">
                       نکته مهم : در نظر داشته باشید با تغییر فرمت ، کد معرف تمام کاربران به روزرسانی می شود.پیشنهاد می شود که قبل از تغییر این بخش از پایگاه داده فایل پشتیبان تهیه کنید.
                </p>
            </td>
        </tr>
</table>
<hr>
<table class="form-table">
        <tr>
                <th scope="row">تعداد مجاز استفاده از کد های معرف برای خریدار</th>
                <td>
                    <label>
                        <input type="radio" name="count_use_from_code_referal" value="once" <?php echo ($avs_referer['repeat']=='once' || empty($avs_referer['repeat'])) ? 'checked' : '' ?> > 
                        <span>یکبار</span>  
                    </label>
                    <label>
                        <input type="radio" name="count_use_from_code_referal" value="always" <?php echo ($avs_referer['repeat']=='always') ? 'checked' : '' ?>>
                        <span>همیشه</span>
                    </label>
                </td>
        </tr>

</table>
<hr>
<table class="form-table">
    <tr>
        <th scope="row">میزان تخفیف خریدار</th>
        <td>
            <input type="number" id="value_fee_referal_code" name="value_fee_referal_code" value="<?php echo isset($avs_referer['fee'])? $avs_referer['fee'] : '' ?>">
        </td> 
    </tr>

    <tr valign="top" id="avans_condition_referer_coupon">
        <th scope="row"></th>
        <td>
            <?php get_conditions_saved($avs_referer['condition-coupon'],'coupon') ?>
        </td>
    </tr>

    <tr>
        <th>نوع تخفیف</th>
        <td>
            <label>
                <input type="radio" name="value_fee_referal_code_type" value="percent" <?php echo ($avs_referer['fee_type']=='percent' || empty($avs_referer['fee_type'])) ? 'checked' : '' ?> > 
                <span>درصد</span>  
            </label>
            <label>
                <input type="radio" name="value_fee_referal_code_type" value="static" <?php echo ($avs_referer['fee_type']=='static') ? 'checked' : '' ?>>
                <span>ثابت(برحسب <?php echo function_exists('get_woocommerce_currency_symbol') ? get_woocommerce_currency_symbol(get_option('woocommerce_currency')) : 'تومان' ?> - مثلا 3000 <?php echo function_exists('get_woocommerce_currency_symbol') ? get_woocommerce_currency_symbol(get_option('woocommerce_currency')) : 'تومان' ?>)</span>
            </label>
        </td>
    </tr>
</table>
<hr>
<table class="form-table">
    <tr>
        <th scope="row">میزان پورسانت معرف</th>
            <td>
                <input type="number" id="value_score_referal_user" name="value_score_referal_user" value="<?php echo isset($avs_referer['ref_gift'])? $avs_referer['ref_gift'] : '' ?>">
            </td>
    </tr>

    <tr valign="top" id="avans_condition_referer_commission">
        <th scope="row"></th>
        <td>
            <?php get_conditions_saved($avs_referer['condition-commission'],'ref') ?>
        </td>
    </tr>

    <tr>
        <th>واحد پورسانت</th>
        <td>
            <label>
                <input type="radio" name="type_score_referal_user" value="percent-score" <?php echo ($avs_referer['ref_gift_type']=='percent-score' || empty($avs_referer['ref_gift_type'])) ? 'checked' : '' ?> > 
                <span>درصد از امتیاز خرید</span>
            </label>
            
            <label>
                <input type="radio" name="type_score_referal_user" value="static-score" <?php echo ($avs_referer['ref_gift_type']=='static-score') ? 'checked' : '' ?>>
                <span>ثابت(مثلا 50 امتیاز)</span>
            </label>
            
            <label>
                <input type="radio" name="type_score_referal_user" value="percent-total-price" <?php echo ($avs_referer['ref_gift_type']=='percent-total-price') ? 'checked' : '' ?> > 
                <span>درصد از مجموع مبلغ خرید(شارژ کیف پول)</span>
            </label>
        </td>
    </tr>
</table>
<hr>
<table class="form-table">
    <th class="title">مدت زمان اعتبار کوکی</th>
    <td>
        <input type="number" id="value_day_referal_code_coocki" name="value_day_referal_code_coocki" value="<?php echo isset($avs_referer['day_coocki'])? $avs_referer['day_coocki'] : '' ?>">
        <label>روز</label>
        <p>+ بعد از اولین ورود کاربر با لینک معرف ، کد معرف به صورت کوکی در مرورگر کاربر ذخیره می شود - این کد ذخیره شده تا چند روز بعد از ورود کاربر معتبر است!</p>
        <p>+ مطمئنا اعمال کد تخفیف معرفی و کسب امتیاز معرف به این زمان ارتباط دارد!</p>
    </td>
</table>
