<?php $avs_daily = $data['score_settings']['daily']; ?>
<table class="form-table">
        <h3 class="title">امتیاز بازدید روزانه</h3>
        <tr valign="top">
            <th scope="row">فعال بودن امتیازدهی بازدید روزانه</th>
            <td>
                <label class="switch">
                    <input type="checkbox" id="is_active_score_daily_visit" <?php echo $avs_daily['active'] ? 'checked' : '' ?> >
                    <span class="slider round"></span>
                    <span class="label">فعال/غیرفعال</span>
                </label>  
            </td>
        </tr>

        <tr>
                <th scope="row">امتیاز به ازای بازدید روزانه</th>
                <td>
                    <input type="number" id="value_score_daily_visit" value="<?php echo isset($avs_daily['score'])? $avs_daily['score'] : '' ?>">
                    <label>امتیاز</label>
                    <p><span class="avans-dot-fansy"></span>مثلا : 10 امتیاز</p>
                </td> 
        </tr>

        <tr>
                <th scope="row">تاخیر در امتیازدهی</th>
                <td>
                    <input type="number" id="delay_get_score_daily_visit" value="<?php echo isset($avs_daily['delay'])? $avs_daily['delay'] : '' ?>">
                    <label>بر حسب ثانیه</label>
                    <p><span class="avans-dot-fansy"></span>توضیحات : با این کار می توانید کاربران را تشویق کنید که مدت زمان بیشتری در صفحه بمانند و به بهبود سئو سایت کمک کنند</p>
                </td> 
        </tr>
  
        <tr valign="top">
            <th scope="row">متن پیام اعلان</th>
            <td>
                <input class="avs-full-input" type="text" id="text_toast_score_daily_visit" placeholder="تبریک شما {score} امتیاز گرفتید!" value="<?php echo isset($avs_daily['text'])? $avs_daily['text'] : '' ?>">
           <p><span class="avans-dot-fansy"></span>برای نمایش میزان امتیاز می توانید از کد کوتاه {score} استفاده کنید</p>
            </td>  
        </tr>

        <tr valign="top">
            <th scope="row">محدودیت امتیاز گیری</th>
            <td>
                <input type="number" id="value_max_scorring_for_daily_visit" value="<?php echo isset($avs_daily['limit']['value']) ? $avs_daily['limit']['value'] : '' ?>">
                <span>امتیاز در</span>
                <select id="unit_max_scorring_for_daily_visit">
                    <option value="day" <?php echo $avs_daily['limit']['unit'] == 'day' ? 'selected' : '' ?> >روز</option>
                    <option value="week" <?php echo $avs_daily['limit']['unit'] == 'week' ? 'selected' : '' ?> >هفته</option>
                    <option value="month" <?php echo $avs_daily['limit']['unit'] == 'month' ? 'selected' : '' ?> >ماه</option>
                    <option value="year" <?php echo $avs_daily['limit']['unit'] == 'year' ? 'selected' : '' ?> >سال</option>
                </select>
            </td>
        </tr>

        
        <tr valign="top">
            <th scope="row">تاریخ انقضا امتیاز</th>
            <td>
                <input type="number" id="value_expire_score_for_daily_visit" value="<?php echo isset($avs_daily['expire']['value']) ? $avs_daily['expire']['value'] : '' ?>">
                <select id="unit_expire_score_for_daily_visit">
                    <option value="day" <?php echo $avs_daily['expire']['unit'] == 'day' ? 'selected' : '' ?> >روز</option>
                    <option value="week" <?php echo $avs_daily['expire']['unit'] == 'week' ? 'selected' : '' ?> >هفته</option>
                    <option value="month" <?php echo $avs_daily['expire']['unit'] == 'month' ? 'selected' : '' ?> >ماه</option>
                    <option value="year" <?php echo $avs_daily['expire']['unit'] == 'year' ? 'selected' : '' ?> >سال</option>
                </select>
                <span>بعد از دریافت امتیاز</span>
            </td>
        </tr>

        <tr valign="top" id="avans_condition_daily">
            <th scope="row">منطق شرطی</th>
            <td>
                <?php get_conditions_saved($avs_daily['condition']) ?>
            </td>
        </tr>



    </table>