<?php

use Avans\parts\badge;
use Avans\user;
$id = (int)$_GET['id'];
$option = get_post_meta($id, AVANS_PREFIX.'badge_settings', true);
$steps = badge::get_badge_steps($id);
$user = wp_get_current_user();
$usersbadge = user::get_badges_user($user->ID)
?>
<div class="avans_wrapper_details_badge">

    <div class="avans_popup_details_badge">
        <div class="header">
            <i class="avans-ic avs-icon-cancel-1"></i>
            <div class="title"><?php echo get_the_title($id) ?></div>
            <?php if(in_array($id,$usersbadge)): ?>
                <div class="is_getted"><i class="avans-ic avs-icon-ok"></i>دریافت شده</div>
            <?php endif; ?>
        </div>
        <div class="body">
            <div class="thumbnail"><?php echo get_the_post_thumbnail($id,'thumbnail') ?></div>
            <div class="steps">
                <p class="title_steps">ماموریت ها</p>
                <ul class="list-steps">
                    <?php foreach((array)$steps as $index=>$step): ?>
                        <li class="item <?php echo user::is_in_array_meta_step_badge($user, $id, $index) ? 'getted' : '' ?>"><?php echo $step->title ?></li>
                    <?php endforeach; ?>
                </ul>
            </div>
        </div>
    </div>

</div>