<?php

use Avans\func;

$avs_panel = (array)AVANS_SETTINGS['panel_settings'];

$settings = new stdClass();

if (func::is_set($avs_panel['show_badges'])) {
    $settings->show_badges = ($avs_panel['show_badges'] == 'true') ? true : false;
} else {
    $settings->show_badges = true;
}

if (func::is_set($avs_panel['title_badges'])) {
    $settings->title_badges = $avs_panel['title_badges'];
} else {
    $settings->title_badges = __('مدال های من', 'avans_plugin');
}

if (func::is_set($avs_panel['sub_title_badges'])) {
    $settings->sub_title_badges = $avs_panel['sub_title_badges'];
} else {
    $settings->sub_title_badges = __('برای مشاهده روند کسب مدال رو مدال کلیک کنید', 'avans_plugin');
}

if (func::is_set($avs_panel['show_gift'])) {
    $settings->show_gift = ($avs_panel['show_gift'] == 'true') ? true : false;
} else {
    $settings->show_gift = true;
}

if (func::is_set($avs_panel['title_gift'])) {
    $settings->title_gift = $avs_panel['title_gift'];
} else {
    $settings->title_gift = __('جوایز', 'avans_plugin');
}


if (func::is_set($avs_panel['sub_title_gift'])) {
    $settings->sub_title_gift = $avs_panel['sub_title_gift'];
} else {
    $settings->sub_title_gift = __('اینجا با استفاده از امتیازهاتون، میتونید کدتخفیف ، فایل یا محصول بگیرید. ', 'avans_plugin');
}

if (func::is_set($avs_panel['show_score_logs'])) {
    $settings->show_score_logs = ($avs_panel['show_score_logs'] == 'true') ? true : false;
} else {
    $settings->show_score_logs = true;
}

if (func::is_set($avs_panel['title_score_logs'])) {
    $settings->title_score_logs = $avs_panel['title_score_logs'];
} else {
    $settings->title_score_logs = __('تاریخچه امتیازات', 'avans_plugin');
}

if (func::is_set($avs_panel['sub_title_score_logs'])) {
    $settings->sub_title_score_logs = $avs_panel['sub_title_score_logs'];
} else {
    $settings->sub_title_score_logs = __('تاریخچه ی کسب و خرج امتیازها و کدتخفیف‌های دریافتی‌تون اینجاست', 'avans_plugin');
}

if (func::is_set($avs_panel['show_convert_wallet'])) {
    $settings->show_convert_wallet = ($avs_panel['show_convert_wallet'] == 'true') ? true : false;
} else {
    $settings->show_convert_wallet = true;
}

if (func::is_set($avs_panel['title_convert_wallet'])) {
    $settings->title_convert_wallet = $avs_panel['title_convert_wallet'];
} else {
    $settings->title_convert_wallet = __('تبدیل امتیاز به اعتبار کیف پول', 'avans_plugin');
}

if (func::is_set($avs_panel['sub_title_convert_wallet'])) {
    $settings->sub_title_convert_wallet = $avs_panel['sub_title_convert_wallet'];
} else {
    $settings->sub_title_convert_wallet = __('اینجا می تونید اعتباراتتون رو تبدیل به اعتبار کنید و از با اعتبارتون از سایت خرید کنید.', 'avans_plugin');
}

if (func::is_set($avs_panel['show_referers'])) {
    $settings->show_referers = ($avs_panel['show_referers'] == 'true') ? true : false;
} else {
    $settings->show_referers = true;
}

if (func::is_set($avs_panel['title_referers'])) {
    $settings->title_referers = $avs_panel['title_referers'];
} else {
    $settings->title_referers = __('سیستم کسب در آمد و بازاریابی', 'avans_plugin');
}

if (func::is_set($avs_panel['sub_title_referers'])) {
    $settings->sub_title_referers = $avs_panel['sub_title_referers'];
} else {
    $settings->sub_title_referers = __('با معرفی محصولات سایت ، در سود فروش ما شریک شوید', 'avans_plugin');
}

if (func::is_set($avs_panel['show_faq'])) {
    $settings->show_faq = ($avs_panel['show_faq'] == 'true') ? true : false;
} else {
    $settings->show_faq = true;
}


if (func::is_set($avs_panel['title_faq'])) {
    $settings->title_faq = $avs_panel['title_faq'];
} else {
    $settings->title_faq = __('چگونه امتیاز به دست بیارم؟!', 'avans_plugin');
}

if (func::is_set($avs_panel['show_lottery'])) {
    $settings->show_lottery = ($avs_panel['show_lottery'] == 'true') ? true : false;
} else {
    $settings->show_lottery = true;
}


if (func::is_set($avs_panel['title_lottery'])) {
    $settings->title_lottery = $avs_panel['title_lottery'];
} else {
    $settings->title_lottery = __('قرعه کشی', 'avans_plugin');
}

if (func::is_set($avs_panel['sub_title_lottery'])) {
    $settings->sub_title_lottery = $avs_panel['sub_title_lottery'];
} else {
    $settings->sub_title_lottery = __('پایان هر فصل، در دیجی‌کلاب قرعه‌کشی برای جوایزی باارزش داریم که میتونید با هر ۱۰ امتیاز، یک بلیت شانس شرکت در قرعه‌کشی بگیرید.', 'avans_plugin');
}

if (func::is_set($avs_panel['show_mission'])) {
    $settings->show_mission = ($avs_panel['show_mission'] == 'true') ? true : false;
} else {
    $settings->show_mission = true;
}


if (func::is_set($avs_panel['title_mission'])) {
    $settings->title_mission = $avs_panel['title_mission'];
} else {
    $settings->title_mission = __('ماموریت های دیجی کلابی', 'avans_plugin');
}

if (func::is_set($avs_panel['sub_title_mission'])) {
    $settings->sub_title_mission = $avs_panel['sub_title_mission'];
} else {
    $settings->sub_title_mission = __('ماموریت‌های دیجی‌کلابی و بازی‌های هیجان‌انگیز انجام دهید و امتیاز بگیرید.', 'avans_plugin');
}



if (func::is_set($avs_panel['show_spin_wheel'])) {
    $settings->show_spin_wheel = ($avs_panel['show_spin_wheel'] == 'true') ? true : false;
} else {
    $settings->show_spin_wheel = true;
}



if (func::is_set($avs_panel['show_complete_profile'])) {
    $settings->show_complete_profile = ($avs_panel['show_complete_profile'] == 'true') ? true : false;
} else {
    $settings->show_complete_profile = true;
}
