<?php

use Avans\func;
use Avans\user;
$user = wp_get_current_user();
?>
<div class="avans-wrapper-header">
    <div class="avnas-profile">
        <div class="avans-avatar">
            <?php echo get_avatar($user->ID,96) ?>
        </div>
        <div class="avans-user-meta-wrapper">
            <p class="fullname"><?php echo $user->display_name ?></p>
            <p class="username"><?php echo '@' . $user->user_login ?></p>
            <div class="score_details">
                <p class="userscore">
                    <?php echo func::get_score_icon(20); ?>
                    <?php echo Avans\user::get_score_valid($user->ID); ?>
                    <span><?php echo func::get_score_label(); ?></span>
                </p>
                <?php if(func::is_set(user::get_level($user->ID))): ?>
                    <p class="level"><?php echo user::get_level($user->ID) ?></p>
                <?php endif; ?>
            </div>
        </div>
        <?php if(isset($_GET['avans_page'])): ?>
            <div class="avans_return_to_home_wrapper">
                <?php 
                    $settings = AVANS_SETTINGS['panel_settings'];
                    $title = 'امتیازهای من';
                    if (func::is_set($settings['title_panel'])) {
                        $title = $settings['title_panel'];
                    }
                ?>
                <a href="<?php echo remove_query_arg(array('avans_page','gift_id','gift_geted_id')) ?>" class="">بازگشت به <?php echo  $title; ?></a>
            </div>
        <?php endif; ?>
    </div>
</div>

            