<?php

use Avans\func;
use Avans\user;

foreach($lists  as  $index => $data): ?>
<div class="row">
    <div class="col rank"><?php echo $data['rank'] ?></div>
    <div class="col user">
        <div class="avans_avatar">
            <?php if(!empty(get_avatar_url($data['user']))): ?>
                <?php echo get_avatar($data['user'],64); ?>
            <?php else :  ?>
                <?php echo '<img src="'.AVANS_URI.'/assets/img/avatar.png'.'" width=96 height=96 >' ?>
            <?php endif; ?>
        </div>
        <div class="avans_user_detils">
            <div class="avans_user_fullname"><?php echo user::get_data($data['user'])->fullname; ?></div>
            <div class="avans_user_badges"></div>
        </div>
    </div>
    <div class="col score">
        <?php echo !$data['is_filter'] ? $data['score'] : $data['filter_score']; ?>
        <?php echo func::get_score_icon(); ?>
    </div>
</div>
<?php endforeach; ?>