<?php
if (! defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
function avans_sound_shortcode_callback($atts = array())
{
    $idPostType = get_the_ID();
    extract(shortcode_atts(array('id'=> '1','src' => '','score' => '1','delay' => '10'), $atts));
    ob_start();
    $soundId = intval($idPostType).intval(!empty($id) ? $id : 0);
    $playerid = 'avans_sound_'.rand(1111, 9999); 

    ?>

    <audio class="avans_sound" controls id="<?php echo $playerid ?>" src="<?php echo $src; ?>" ></audio>

    <?php if(is_user_logged_in()):
        wp_enqueue_script('avans_player');
    ?>
    
    <script>
        jQuery(document).ready(function($){
            obj = {
            player_id : '<?php echo $playerid ?>',
            delay : '<?php echo $delay ?>',
            type : 'sound',
            ajx_url : '<?php echo admin_url('admin-ajax.php') ?>',
            score : '<?php echo $score ?>',
            object_id : '<?php echo $id ?>',
            post_id : '<?php echo get_the_ID() ?>',
            id : '<?php echo $soundId ?>',
            text : "<?php echo 'شما بابت گوش کردن به این پادکست '.$score.' '.Avans\func::get_score_label().' '.'گرفتید'; ?>",
            plugin_url : '<?php echo AVANS_URI ?>',
            }
            new playerScore(obj);
        });
    </script>
    <?php  
    wp_enqueue_script("avans_player");
    endif; 
    return ob_get_clean();
}
add_shortcode('avans-sound', 'avans_sound_shortcode_callback');
add_shortcode('score-sound', 'avans_sound_shortcode_callback');
