<?php

use Avans\data;
use Avans\parts\badge;
use Avans\user;


function avans_user_badges_shortcode_callback(){
    ob_start();
    if (get_current_user_id() == 0) {
        return ob_get_clean();
    }

    $user_badges = user::get_badges_user(get_current_user_id());
    $other_badges = data::get_badges($user_badges);
    ?>
    <div class="badges_wrapper">
        <?php  if(count($user_badges) > 0) : foreach($user_badges as $user_badge): ?>
            <div class="badge-item active" data-id="<?php echo $user_badge ?>">
            <?php echo get_the_post_thumbnail($user_badge,'avans_badge_small',array( 'title' => get_the_title($user_badge) ) ) ?>
            </div>
        <?php endforeach;endif;?>
        <?php if($other_badges->posts): foreach($other_badges->posts as $badge): setup_postdata($badge); ?>
            <div class="badge-item" data-id="<?php echo $badge->ID ?>">
            <?php echo get_the_post_thumbnail($badge->ID,'avans_badge_small',array( 'title' => get_the_title($badge->ID) ) ) ?>
            </div>
        <?php endforeach; endif;  wp_reset_postdata();  ?>
    </div>
    <?php
    return ob_get_clean();
}

add_shortcode('avans-user-badges','avans_user_badges_shortcode_callback');